﻿var EquationEnvironment=[					//数式環境の開始・終了コマンド
/*0*/	["\\begin{eqnarray*}","\\end{eqnarray*}"],
/*1*/	["\\begin{eqnarray}","\\end{eqnarray}"],
/*2*/	["\\begin{equation*}","\\end{equation*}"],
/*3*/	["\\begin{equation}","\\end{equation}"],
/*4*/	["\\[","\\]"],
/*5*/	["$$","$$"],
/*6*/	["$","$"],			//文章中の数式
/*7*/	["\\(","\\)"],		//文章中の数式
/*8*/	["\\begin{split}","\\end{split}"],
/*9*/	["\\begin{align}","\\end{align}"],
/*10*/	["\\begin{align*}","\\end{align*}"],
/*11*/	["\\begin{aligned}","\\end{aligned}"],
/*12*/	["\\begin{gather}","\\end{gather}"],
/*13*/	["\\begin{gather*}","\\end{gather*}"],
/*14*/	["\\begin{gathered}","\\end{gathered}"],
/*15*/	["\\begin{multline}","\\end{multline}"],
/*16*/	["\\begin{multline*}","\\end{multline*}"],
/*17*/	["\\begin{alignat}{1}","\\end{alignat}"],
/*18*/	["\\begin{alignat}{2}","\\end{alignat}"],
/*19*/	["\\begin{alignat}{3}","\\end{alignat}"],
/*20*/	["\\begin{alignat}{4}","\\end{alignat}"],
/*21*/	["\\begin{alignat}{5}","\\end{alignat}"],
/*22*/	["\\begin{alignat}{6}","\\end{alignat}"],
/*23*/	["\\begin{alignat}{7}","\\end{alignat}"],
/*24*/	["\\begin{alignat}{8}","\\end{alignat}"],
/*25*/	["\\begin{alignat}{9}","\\end{alignat}"],
/*26*/	["\\begin{alignat}{10}","\\end{alignat}"],
/*27*/	["\\begin{aligned}[t]","\\end{aligned}[t]"],
/*28*/	["\\begin{aligned}[b]","\\end{aligned}[b]"],
/*29*/	["\\begin{alignedat}{1}","\\end{alignedat}"],
/*30*/	["\\begin{alignedat}{2}","\\end{alignedat}"],
/*31*/	["\\begin{alignedat}{3}","\\end{alignedat}"],
/*32*/	["\\begin{alignedat}{4}","\\end{alignedat}"],
/*33*/	["\\begin{alignedat}{5}","\\end{alignedat}"],
/*34*/	["\\begin{alignedat}{6}","\\end{alignedat}"],
/*35*/	["\\begin{alignedat}{7}","\\end{alignedat}"],
/*36*/	["\\begin{alignedat}{8}","\\end{alignedat}"],
/*37*/	["\\begin{alignedat}{9}","\\end{alignedat}"],
/*38*/	["\\begin{alignedat}{10}","\\end{alignedat}"],
];
var leftrightdot=[
		["\\left(\\right.",				"\\left.\\right)"],
		["\\left\\{\\right.",			"\\left.\\right\\}"],
		["\\left[\\right.",				"\\left.\\right]"],
		["\\left|\\right.",				"\\left.\\right|"],
		["\\left\\|\\right.",			"\\left.\\right\\|"],
		["\\left)\\right.",				"\\left.\\right("],
		["\\left\\}\\right.",			"\\left.\\right\\{"],
		["\\left]\\right.",				"\\left.\\right["],
];
var leftright=[
		["\\left(",						"\\right)"],
		["\\left\\{",					"\\right\\}"],
		["\\left[",						"\\right]"],
		["\\left|",						"\\right|"],
		["\\left\\|",					"\\right\\|"],
		["\\left)",						"\\right("],
		["\\left\\}",					"\\right\\{"],
		["\\left]",						"\\right["],
];
var matrices={
	"beginmatrix":["\\begin{matrix}","\\end{matrix}"],
	"beginpmatrix":["\\begin{pmatrix}","\\end{pmatrix}"],
	"beginbmatrix":["\\begin{bmatrix}","\\end{bmatrix}"],
	"beginBmatrix":["\\begin{Bmatrix}","\\end{Bmatrix}"],
	"beginvmatrix":["\\begin{vmatrix}","\\end{vmatrix}"],
	"beginVmatrix":["\\begin{Vmatrix}","\\end{Vmatrix}"],
	"beginsmallmatrix":["\\begin{smallmatrix}","\\end{smallmatrix}"],
};
var casestatement=[
		["\\left\\{\\begin{matrix}",	"\\end{matrix}\\right."],
		["\\left(\\begin{matrix}",	"\\end{matrix}\\right."],
		["\\begin{matrix}",			"\\end{matrix}"],
];
var TeXcommand1={
	"leftrightsquigarrow"			:[function(){insertoperator(		//連想配列のキーの名称
		["\\leftrightsquigarrow"]	);},								//発言内容内に入れる文字列
		["\\leftrightsquigarrow"]	],									//プルダウンメニューで選択したときにプルダウンメニュー上部のボタンに表示する文字列
	"blacktriangleright"			:[function(){insertoperator(
		["\\blacktriangleright"]	);},
		["\\blacktriangleright"]	],
	"Longleftrightarrow"			:[function(){insertoperator(
		["\\Longleftrightarrow"]	);},
		["\\Longleftrightarrow"]	],
	"longleftrightarrow"			:[function(){insertoperator(
		["\\longleftrightarrow"]	);},
		["\\longleftrightarrow"]	],
	"blacktriangledown"				:[function(){insertoperator(
		["\\blacktriangledown"]		);},
		["\\blacktriangledown"]		],
	"blacktriangleleft"				:[function(){insertoperator(
		["\\blacktriangleleft"]		);},
		["\\blacktriangleleft"]		],
	"leftrightharpoons"				:[function(){insertoperator(
		["\\leftrightharpoons"]		);},
		["\\leftrightharpoons"]		],
	"rightleftharpoons"				:[function(){insertoperator(
		["\\rightleftharpoons"]		);},
		["\\rightleftharpoons"]		],
	"twoheadrightarrow"				:[function(){insertoperator(
		["\\twoheadrightarrow"]		);},
		["\\twoheadrightarrow"]		],
	"circlearrowright"				:[function(){insertoperator(
		["\\circlearrowright"]		);},
		["\\circlearrowright"]		],
	"downharpoonright"				:[function(){insertoperator(
		["\\downharpoonright"]		);},
		["\\downharpoonright"]		],
	"ntrianglerighteq"				:[function(){insertoperator(
		["\\ntrianglerighteq"]		);},
		["\\ntrianglerighteq"]		],
	"rightharpoondown"				:[function(){insertoperator(
		["\\rightharpoondown"]		);},
		["\\rightharpoondown"]		],
	"rightrightarrows"				:[function(){insertoperator(
		["\\rightrightarrows"]		);},
		["\\rightrightarrows"]		],
	"twoheadleftarrow"				:[function(){insertoperator(
		["\\twoheadleftarrow"]		);},
		["\\twoheadleftarrow"]		],
	"vartriangleright"				:[function(){insertoperator(
		["\\vartriangleright"]		);},
		["\\vartriangleright"]		],
	"bigtriangledown"				:[function(){insertoperator(
		["\\bigtriangledown"]		);},
		["\\bigtriangledown"]		],
	"circlearrowleft"				:[function(){insertoperator(
		["\\circlearrowleft"]		);},
		["\\circlearrowleft"]		],
	"curvearrowright"				:[function(){insertoperator(
		["\\curvearrowright"]		);},
		["\\curvearrowright"]		],
	"downharpoonleft"				:[function(){insertoperator(
		["\\downharpoonleft"]		);},
		["\\downharpoonleft"]		],
	"leftharpoondown"				:[function(){insertoperator(
		["\\leftharpoondown"]		);},
		["\\leftharpoondown"]		],
	"leftrightarrows"				:[function(){insertoperator(
		["\\leftrightarrows"]		);},
		["\\leftrightarrows"]		],
	"nLeftrightarrow"				:[function(){insertoperator(
		["\\nLeftrightarrow"]		);},
		["\\nLeftrightarrow"]		],
	"nleftrightarrow"				:[function(){insertoperator(
		["\\nleftrightarrow"]		);},
		["\\nleftrightarrow"]		],
	"ntrianglelefteq"				:[function(){insertoperator(
		["\\ntrianglelefteq"]		);},
		["\\ntrianglelefteq"]		],
	"rightleftarrows"				:[function(){insertoperator(
		["\\rightleftarrows"]		);},
		["\\rightleftarrows"]		],
	"rightsquigarrow"				:[function(){insertoperator(
		["\\rightsquigarrow"]		);},
		["\\rightsquigarrow"]		],
	"rightthreetimes"				:[function(){insertoperator(
		["\\rightthreetimes"]		);},
		["\\rightthreetimes"]		],
	"trianglerighteq"				:[function(){insertoperator(
		["\\trianglerighteq"]		);},
		["\\trianglerighteq"]		],
	"vartriangleleft"				:[function(){insertoperator(
		["\\vartriangleleft"]		);},
		["\\vartriangleleft"]		],
	"curvearrowleft"				:[function(){insertoperator(
		["\\curvearrowleft"]		);},
		["\\curvearrowleft"]		],
	"dashrightarrow"				:[function(){insertoperator(
		["\\dashrightarrow"]		);},
		["\\dashrightarrow"]		],
	"doublebarwedge"				:[function(){insertoperator(
		["\\doublebarwedge"]		);},
		["\\doublebarwedge"]		],
	"downdownarrows"				:[function(){insertoperator(
		["\\downdownarrows"]		);},
		["\\downdownarrows"]		],
	"hookrightarrow"				:[function(){insertoperator(
		["\\hookrightarrow"]		);},
		["\\hookrightarrow"]		],
	"LaTeX"							:[function(){insertoperator(
		["\\mathrm{\\LaTeX}"]		);},
		["\\mathrm{\\LaTeX}"]		],
	"leftleftarrows"				:[function(){insertoperator(
		["\\leftleftarrows"]		);},
		["\\leftleftarrows"]		],
	"Leftrightarrow"				:[function(){insertoperator(
		["\\Leftrightarrow"]		);},
		["\\Leftrightarrow"]		],
	"leftrightarrow"				:[function(){insertoperator(
		["\\leftrightarrow"]		);},
		["\\leftrightarrow"]		],
	"leftthreetimes"				:[function(){insertoperator(
		["\\leftthreetimes"]		);},
		["\\leftthreetimes"]		],
	"Longrightarrow"				:[function(){insertoperator(
		["\\Longrightarrow"]		);},
		["\\Longrightarrow"]		],
	"longrightarrow"				:[function(){insertoperator(
		["\\longrightarrow"]		);},
		["\\longrightarrow"]		],
	"looparrowright"				:[function(){insertoperator(
		["\\looparrowright"]		);},
		["\\looparrowright"]		],
	"nshortparallel"				:[function(){insertoperator(
		["\\nshortparallel"]		);},
		["\\nshortparallel"]		],
	"ntriangleright"				:[function(){insertoperator(
		["\\ntriangleright"]		);},
		["\\ntriangleright"]		],
	"rightarrowtail"				:[function(){insertoperator(
		["\\rightarrowtail"]		);},
		["\\rightarrowtail"]		],
	"rightharpoonup"				:[function(){insertoperator(
		["\\rightharpoonup"]		);},
		["\\rightharpoonup"]		],
	"sphericalangle"				:[function(){insertoperator(
		["\\sphericalangle"]		);},
		["\\sphericalangle"]		],
	"trianglelefteq"				:[function(){insertoperator(
		["\\trianglelefteq"]		);},
		["\\trianglelefteq"]		],
	"upharpoonright"				:[function(){insertoperator(
		["\\upharpoonright"]		);},
		["\\upharpoonright"]		],
	"bigtriangleup"				:[function(){insertoperator(
		["\\bigtriangleup"]		);},
		["\\bigtriangleup"]		],
	"blacktriangle"				:[function(){insertoperator(
		["\\blacktriangle"]		);},
		["\\blacktriangle"]		],
	"divideontimes"				:[function(){insertoperator(
		["\\divideontimes"]		);},
		["\\divideontimes"]		],
	"fallingdotseq"				:[function(){insertoperator(
		["\\fallingdotseq"]		);},
		["\\fallingdotseq"]		],
	"hookleftarrow"				:[function(){insertoperator(
		["\\hookleftarrow"]		);},
		["\\hookleftarrow"]		],
	"leftarrowtail"				:[function(){insertoperator(
		["\\leftarrowtail"]		);},
		["\\leftarrowtail"]		],
	"leftharpoonup"				:[function(){insertoperator(
		["\\leftharpoonup"]		);},
		["\\leftharpoonup"]		],
	"Longleftarrow"				:[function(){insertoperator(
		["\\Longleftarrow"]		);},
		["\\Longleftarrow"]		],
	"longleftarrow"				:[function(){insertoperator(
		["\\longleftarrow"]		);},
		["\\longleftarrow"]		],
	"looparrowleft"				:[function(){insertoperator(
		["\\looparrowleft"]		);},
		["\\looparrowleft"]		],
	"measuredangle"				:[function(){insertoperator(
		["\\measuredangle"]		);},
		["\\measuredangle"]		],
	"ntriangleleft"				:[function(){insertoperator(
		["\\ntriangleleft"]		);},
		["\\ntriangleleft"]		],
	"shortparallel"				:[function(){insertoperator(
		["\\shortparallel"]		);},
		["\\shortparallel"]		],
	"smallsetminus"				:[function(){insertoperator(
		["\\smallsetminus"]		);},
		["\\smallsetminus"]		],
	"triangleright"				:[function(){insertoperator(
		["\\triangleright"]		);},
		["\\triangleright"]		],
	"upharpoonleft"				:[function(){insertoperator(
		["\\upharpoonleft"]		);},
		["\\upharpoonleft"]		],
	"varsubsetneqq"				:[function(){insertoperator(
		["\\varsubsetneqq"]		);},
		["\\varsubsetneqq"]		],
	"varsupsetneqq"				:[function(){insertoperator(
		["\\varsupsetneqq"]		);},
		["\\varsupsetneqq"]		],
	"negthickspace"				:[function(){insertoperator(
		["\\negthickspace"]		);},
		["\\negthickspace"]		],
	"blacklozenge"				:[function(){insertoperator(
		["\\blacklozenge"]		);},
		["\\blacklozenge"]		],
	"risingdotseq"				:[function(){insertoperator(
		["\\risingdotseq"]		);},
		["\\risingdotseq"]		],
	"TeX"						:[function(){insertoperator(
		["\\mathrm{\\TeX}"]		);},
		["\\mathrm{\\TeX}"]		],
	"triangledown"				:[function(){insertoperator(
		["\\triangledown"]		);},
		["\\triangledown"]		],
	"triangleleft"				:[function(){insertoperator(
		["\\triangleleft"]		);},
		["\\triangleleft"]		],
	"varsubsetneq"				:[function(){insertoperator(
		["\\varsubsetneq"]		);},
		["\\varsubsetneq"]		],
	"varsupsetneq"				:[function(){insertoperator(
		["\\varsupsetneq"]		);},
		["\\varsupsetneq"]		],
	"backepsilon"				:[function(){insertoperator(
		["\\backepsilon"]		);},
		["\\backepsilon"]		],
	"blacksquare"				:[function(){insertoperator(
		["\\blacksquare"]		);},
		["\\blacksquare"]		],
	"circledcirc"				:[function(){insertoperator(
		["\\circledcirc"]		);},
		["\\circledcirc"]		],
	"circleddash"				:[function(){insertoperator(
		["\\circleddash"]		);},
		["\\circleddash"]		],
	"curlyeqprec"				:[function(){insertoperator(
		["\\curlyeqprec"]		);},
		["\\curlyeqprec"]		],
	"curlyeqsucc"				:[function(){insertoperator(
		["\\curlyeqsucc"]		);},
		["\\curlyeqsucc"]		],
	"diamondsuit"				:[function(){insertoperator(
		["\\diamondsuit"]		);},
		["\\diamondsuit"]		],
	"eqslantless"				:[function(){insertoperator(
		["\\eqslantless"]		);},
		["\\eqslantless"]		],
	"nRightarrow"				:[function(){insertoperator(
		["\\nRightarrow"]		);},
		["\\nRightarrow"]		],
	"nrightarrow"				:[function(){insertoperator(
		["\\nrightarrow"]		);},
		["\\nrightarrow"]		],
	"preccurlyeq"				:[function(){insertoperator(
		["\\preccurlyeq"]		);},
		["\\preccurlyeq"]		],
	"precnapprox"				:[function(){insertoperator(
		["\\precnapprox"]		);},
		["\\precnapprox"]		],
	"restriction"				:[function(){insertoperator(
		["\\restriction"]		);},
		["\\restriction"]		],
	"Rrightarrow"				:[function(){insertoperator(
		["\\Rrightarrow"]		);},
		["\\Rrightarrow"]		],
	"succcurlyeq"				:[function(){insertoperator(
		["\\succcurlyeq"]		);},
		["\\succcurlyeq"]		],
	"succnapprox"				:[function(){insertoperator(
		["\\succnapprox"]		);},
		["\\succnapprox"]		],
	"thickapprox"				:[function(){insertoperator(
		["\\thickapprox"]		);},
		["\\thickapprox"]		],
	"Updownarrow"				:[function(){insertoperator(
		["\\Updownarrow"]		);},
		["\\Updownarrow"]		],
	"updownarrow"				:[function(){insertoperator(
		["\\updownarrow"]		);},
		["\\updownarrow"]		],
	"vartriangle"				:[function(){insertoperator(
		["\\vartriangle"]		);},
		["\\vartriangle"]		],
	"circledast"				:[function(){insertoperator(
		["\\circledast"]		);},
		["\\circledast"]		],
	"complement"				:[function(){insertoperator(
		["\\complement"]		);},
		["\\complement"]		],
	"curlywedge"				:[function(){insertoperator(
		["\\curlywedge"]		);},
		["\\curlywedge"]		],
	"eqslantgtr"				:[function(){insertoperator(
		["\\eqslantgtr"]		);},
		["\\eqslantgtr"]		],
	"gtreqqless"				:[function(){insertoperator(
		["\\gtreqqless"]		);},
		["\\gtreqqless"]		],
	"lessapprox"				:[function(){insertoperator(
		["\\lessapprox"]		);},
		["\\lessapprox"]		],
	"lesseqqgtr"				:[function(){insertoperator(
		["\\lesseqqgtr"]		);},
		["\\lesseqqgtr"]		],
	"Lleftarrow"				:[function(){insertoperator(
		["\\Lleftarrow"]		);},
		["\\Lleftarrow"]		],
	"lmoustache"				:[function(){insertoperator(
		["\\lmoustache"]		);},
		["\\lmoustache"]		],
	"longmapsto"				:[function(){insertoperator(
		["\\longmapsto"]		);},
		["\\longmapsto"]		],
	"mathstrut"					:[function(){insertoperator(
		["\\mathstrut "]		);},
		["\\mathstrut "]		],
	"nLeftarrow"				:[function(){insertoperator(
		["\\nLeftarrow"]		);},
		["\\nLeftarrow"]		],
	"nleftarrow"				:[function(){insertoperator(
		["\\nleftarrow"]		);},
		["\\nleftarrow"]		],
	"nsubseteqq"				:[function(){insertoperator(
		["\\nsubseteqq"]		);},
		["\\nsubseteqq"]		],
	"nsupseteqq"				:[function(){insertoperator(
		["\\nsupseteqq"]		);},
		["\\nsupseteqq"]		],
	"precapprox"				:[function(){insertoperator(
		["\\precapprox"]		);},
		["\\precapprox"]		],
	"Rightarrow"				:[function(){insertoperator(
		["\\Rightarrow"]		);},
		["\\Rightarrow"]		],
	"rightarrow"				:[function(){insertoperator(
		["\\rightarrow"]		);},
		["\\rightarrow"]		],
	"rmoustache"				:[function(){insertoperator(
		["\\rmoustache"]		);},
		["\\rmoustache"]		],
	"smallfrown"				:[function(){insertoperator(
		["\\smallfrown"]		);},
		["\\smallfrown"]		],
	"smallsmile"				:[function(){insertoperator(
		["\\smallsmile"]		);},
		["\\smallsmile"]		],
	"sqsubseteq"				:[function(){insertoperator(
		["\\sqsubseteq"]		);},
		["\\sqsubseteq"]		],
	"sqsupseteq"				:[function(){insertoperator(
		["\\sqsupseteq"]		);},
		["\\sqsupseteq"]		],
	"subsetneqq"				:[function(){insertoperator(
		["\\subsetneqq"]		);},
		["\\subsetneqq"]		],
	"succapprox"				:[function(){insertoperator(
		["\\succapprox"]		);},
		["\\succapprox"]		],
	"supsetneqq"				:[function(){insertoperator(
		["\\supsetneqq"]		);},
		["\\supsetneqq"]		],
	"upuparrows"				:[function(){insertoperator(
		["\\upuparrows"]		);},
		["\\upuparrows"]		],
	"varepsilon"				:[function(){insertoperator(
		["\\varepsilon"]		);},
		["\\varepsilon"]		],
	"varnothing"				:[function(){insertoperator(
		["\\varnothing"]		);},
		["\\varnothing"]		],
	"varprojlim"				:[function(){insertoperator(
		["\\varprojlim"]		);},
		["\\varprojlim"]		],
	"varUpsilon"				:[function(){insertoperator(
		["\\varUpsilon"]		);},
		["\\varUpsilon"]		],
	"Arrowvert"				:[function(){insertoperator(
		["\\Arrowvert"]		);},
		["\\Arrowvert"]		],
	"arrowvert"				:[function(){insertoperator(
		["\\arrowvert"]		);},
		["\\arrowvert"]		],
	"backprime"				:[function(){insertoperator(
		["\\backprime"]		);},
		["\\backprime"]		],
	"backsimeq"				:[function(){insertoperator(
		["\\backsimeq"]		);},
		["\\backsimeq"]		],
	"backslash"				:[function(){insertoperator(
		["\\backslash"]		);},
		["\\backslash"]		],
	"bigotimes"				:[function(){insertoperator(
		["\\bigotimes"]		);},
		["\\bigotimes"]		],
	"bracevert"				:[function(){insertoperator(
		["\\bracevert"]		);},
		["\\bracevert"]		],
	"centerdot"				:[function(){insertoperator(
		["\\centerdot"]		);},
		["\\centerdot"]		],
	"checkmark"				:[function(){insertoperator(
		["\\checkmark"]		);},
		["\\checkmark"]		],
	"doublecap"				:[function(){insertoperator(
		["\\doublecap"]		);},
		["\\doublecap"]		],
	"doublecup"				:[function(){insertoperator(
		["\\doublecup"]		);},
		["\\doublecup"]		],
	"Downarrow"				:[function(){insertoperator(
		["\\Downarrow"]		);},
		["\\Downarrow"]		],
	"downarrow"				:[function(){insertoperator(
		["\\downarrow"]		);},
		["\\downarrow"]		],
	"gtrapprox"				:[function(){insertoperator(
		["\\gtrapprox"]		);},
		["\\gtrapprox"]		],
	"gtreqless"				:[function(){insertoperator(
		["\\gtreqless"]		);},
		["\\gtreqless"]		],
	"gvertneqq"				:[function(){insertoperator(
		["\\gvertneqq"]		);},
		["\\gvertneqq"]		],
	"heartsuit"				:[function(){insertoperator(
		["\\heartsuit"]		);},
		["\\heartsuit"]		],
	"impliedby"				:[function(){insertoperator(
		["\\impliedby"]		);},
		["\\impliedby"]		],
	"Leftarrow"				:[function(){insertoperator(
		["\\Leftarrow"]		);},
		["\\Leftarrow"]		],
	"leftarrow"				:[function(){insertoperator(
		["\\leftarrow"]		);},
		["\\leftarrow"]		],
	"lesseqgtr"				:[function(){insertoperator(
		["\\lesseqgtr"]		);},
		["\\lesseqgtr"]		],
	"lvertneqq"				:[function(){insertoperator(
		["\\lvertneqq"]		);},
		["\\lvertneqq"]		],
	"ngeqslant"				:[function(){insertoperator(
		["\\ngeqslant"]		);},
		["\\ngeqslant"]		],
	"nleqslant"				:[function(){insertoperator(
		["\\nleqslant"]		);},
		["\\nleqslant"]		],
	"nparallel"				:[function(){insertoperator(
		["\\nparallel"]		);},
		["\\nparallel"]		],
	"nshortmid"				:[function(){insertoperator(
		["\\nshortmid"]		);},
		["\\nshortmid"]		],
	"nsubseteq"				:[function(){insertoperator(
		["\\nsubseteq"]		);},
		["\\nsubseteq"]		],
	"nsupseteq"				:[function(){insertoperator(
		["\\nsupseteq"]		);},
		["\\nsupseteq"]		],
	"pitchfork"				:[function(){insertoperator(
		["\\pitchfork"]		);},
		["\\pitchfork"]		],
	"spadesuit"				:[function(){insertoperator(
		["\\spadesuit"]		);},
		["\\spadesuit"]		],
	"subseteqq"				:[function(){insertoperator(
		["\\subseteqq"]		);},
		["\\subseteqq"]		],
	"subsetneq"				:[function(){insertoperator(
		["\\subsetneq"]		);},
		["\\subsetneq"]		],
	"supseteqq"				:[function(){insertoperator(
		["\\supseteqq"]		);},
		["\\supseteqq"]		],
	"supsetneq"				:[function(){insertoperator(
		["\\supsetneq"]		);},
		["\\supsetneq"]		],
	"therefore"				:[function(){insertoperator(
		["\\therefore"]		);},
		["\\therefore"]		],
	"triangleq"				:[function(){insertoperator(
		["\\triangleq"]		);},
		["\\triangleq"]		],
	"thinspace"				:[function(){insertoperator(
		["\\thinspace"]		);},
		["\\thinspace"]		],
	"varinjlim"				:[function(){insertoperator(
		["\\varinjlim"]		);},
		["\\varinjlim"]		],
	"varLambda"				:[function(){insertoperator(
		["\\varLambda"]		);},
		["\\varLambda"]		],
	"varliminf"				:[function(){insertoperator(
		["\\varliminf"]		);},
		["\\varliminf"]		],
	"varlimsup"				:[function(){insertoperator(
		["\\varlimsup"]		);},
		["\\varlimsup"]		],
	"varpropto"				:[function(){insertoperator(
		["\\varpropto"]		);},
		["\\varpropto"]		],
	"approxeq"				:[function(){insertoperator(
		["\\approxeq"]		);},
		["\\approxeq"]		],
	"barwedge"				:[function(){insertoperator(
		["\\barwedge"]		);},
		["\\barwedge"]		],
	"bigoplus"				:[function(){insertoperator(
		["\\bigoplus"]		);},
		["\\bigoplus"]		],
	"bigsqcup"				:[function(){insertoperator(
		["\\bigsqcup"]		);},
		["\\bigsqcup"]		],
	"biguplus"				:[function(){insertoperator(
		["\\biguplus"]		);},
		["\\biguplus"]		],
	"bigwedge"				:[function(){insertoperator(
		["\\bigwedge"]		);},
		["\\bigwedge"]		],
	"boxminus"				:[function(){insertoperator(
		["\\boxminus"]		);},
		["\\boxminus"]		],
	"boxtimes"				:[function(){insertoperator(
		["\\boxtimes"]		);},
		["\\boxtimes"]		],
	"circledR"				:[function(){insertoperator(
		["\\circledR"]		);},
		["\\circledR"]		],
	"circledS"				:[function(){insertoperator(
		["\\circledS"]		);},
		["\\circledS"]		],
	"clubsuit"				:[function(){insertoperator(
		["\\clubsuit"]		);},
		["\\clubsuit"]		],
	"curlyvee"				:[function(){insertoperator(
		["\\curlyvee"]		);},
		["\\curlyvee"]		],
	"diagdown"				:[function(){insertoperator(
		["\\diagdown"]		);},
		["\\diagdown"]		],
	"doteqdot"				:[function(){insertoperator(
		["\\doteqdot"]		);},
		["\\doteqdot"]		],
	"emptyset"				:[function(){insertoperator(
		["\\emptyset"]		);},
		["\\emptyset"]		],
	"geqslant"				:[function(){insertoperator(
		["\\geqslant"]		);},
		["\\geqslant"]		],
	"gnapprox"				:[function(){insertoperator(
		["\\gnapprox"]		);},
		["\\gnapprox"]		],
	"idotsint"				:[function(){insertoperator(
		["\\idotsint"]		);},
		["\\idotsint"]		],
	"intercal"				:[function(){insertoperator(
		["\\intercal"]		);},
		["\\intercal"]		],
	"leqslant"				:[function(){insertoperator(
		["\\leqslant"]		);},
		["\\leqslant"]		],
	"llcorner"				:[function(){insertoperator(
		["\\llcorner"]		);},
		["\\llcorner"]		],
	"lnapprox"				:[function(){insertoperator(
		["\\lnapprox"]		);},
		["\\lnapprox"]		],
	"lrcorner"				:[function(){insertoperator(
		["\\lrcorner"]		);},
		["\\lrcorner"]		],
	"multimap"				:[function(){insertoperator(
		["\\multimap"]		);},
		["\\multimap"]		],
	"parallel"				:[function(){insertoperator(
		["\\parallel"]		);},
		["\\parallel"]		],
	"precneqq"				:[function(){insertoperator(
		["\\precneqq"]		);},
		["\\precneqq"]		],
	"precnsim"				:[function(){insertoperator(
		["\\precnsim"]		);},
		["\\precnsim"]		],
	"setminus"				:[function(){insertoperator(
		["\\setminus"]		);},
		["\\setminus"]		],
	"shortmid"				:[function(){insertoperator(
		["\\shortmid"]		);},
		["\\shortmid"]		],
	"smallint"				:[function(){insertoperator(
		["\\smallint"]		);},
		["\\smallint"]		],
	"sqsubset"				:[function(){insertoperator(
		["\\sqsubset"]		);},
		["\\sqsubset"]		],
	"sqsupset"				:[function(){insertoperator(
		["\\sqsupset"]		);},
		["\\sqsupset"]		],
	"subseteq"				:[function(){insertoperator(
		["\\subseteq"]		);},
		["\\subseteq"]		],
	"succneqq"				:[function(){insertoperator(
		["\\succneqq"]		);},
		["\\succneqq"]		],
	"succnsim"				:[function(){insertoperator(
		["\\succnsim"]		);},
		["\\succnsim"]		],
	"supseteq"				:[function(){insertoperator(
		["\\supseteq"]		);},
		["\\supseteq"]		],
	"thicksim"				:[function(){insertoperator(
		["\\thicksim"]		);},
		["\\thicksim"]		],
	"triangle"				:[function(){insertoperator(
		["\\triangle"]		);},
		["\\triangle"]		],
	"ulcorner"				:[function(){insertoperator(
		["\\ulcorner"]		);},
		["\\ulcorner"]		],
	"urcorner"				:[function(){insertoperator(
		["\\urcorner"]		);},
		["\\urcorner"]		],
	"varDelta"				:[function(){insertoperator(
		["\\varDelta"]		);},
		["\\varDelta"]		],
	"varGamma"				:[function(){insertoperator(
		["\\varGamma"]		);},
		["\\varGamma"]		],
	"varkappa"				:[function(){insertoperator(
		["\\varkappa"]		);},
		["\\varkappa"]		],
	"varOmega"				:[function(){insertoperator(
		["\\varOmega"]		);},
		["\\varOmega"]		],
	"varsigma"				:[function(){insertoperator(
		["\\varsigma"]		);},
		["\\varsigma"]		],
	"varSigma"				:[function(){insertoperator(
		["\\varSigma"]		);},
		["\\varSigma"]		],
	"vartheta"				:[function(){insertoperator(
		["\\vartheta"]		);},
		["\\vartheta"]		],
	"varTheta"				:[function(){insertoperator(
		["\\varTheta"]		);},
		["\\varTheta"]		],
	"backsim"				:[function(){insertoperator(
		["\\backsim"]		);},
		["\\backsim"]		],
	"because"				:[function(){insertoperator(
		["\\because"]		);},
		["\\because"]		],
	"between"				:[function(){insertoperator(
		["\\between"]		);},
		["\\between"]		],
	"bigcirc"				:[function(){insertoperator(
		["\\bigcirc"]		);},
		["\\bigcirc"]		],
	"bigodot"				:[function(){insertoperator(
		["\\bigodot"]		);},
		["\\bigodot"]		],
	"bigstar"				:[function(){insertoperator(
		["\\bigstar"]		);},
		["\\bigstar"]		],
	"boxplus"				:[function(){insertoperator(
		["\\boxplus"]		);},
		["\\boxplus"]		],
	"ddagger"				:[function(){insertoperator(
		["\\ddagger"]		);},
		["\\ddagger"]		],
	"diamond"				:[function(){insertoperator(
		["\\diamond"]		);},
		["\\diamond"]		],
	"Diamond"				:[function(){insertoperator(
		["\\Diamond"]		);},
		["\\Diamond"]		],
	"digamma"				:[function(){insertoperator(
		["\\digamma"]		);},
		["\\digamma"]		],
	"dotplus"				:[function(){insertoperator(
		["\\dotplus"]		);},
		["\\dotplus"]		],
	"enspace"				:[function(){insertoperator(
		["\\enspace"]		);},
		["\\enspace"]		],
	"epsilon"				:[function(){insertoperator(
		["\\epsilon"]		);},
		["\\epsilon"]		],
	"gtrless"				:[function(){insertoperator(
		["\\gtrless"]		);},
		["\\gtrless"]		],
	"implies"				:[function(){insertoperator(
		["\\implies"]		);},
		["\\implies"]		],
	"leadsto"				:[function(){insertoperator(
		["\\leadsto"]		);},
		["\\leadsto"]		],
	"lessdot"				:[function(){insertoperator(
		["\\lessdot"]		);},
		["\\lessdot"]		],
	"lessgtr"				:[function(){insertoperator(
		["\\lessgtr"]		);},
		["\\lessgtr"]		],
	"lesssim"				:[function(){insertoperator(
		["\\lesssim"]		);},
		["\\lesssim"]		],
	"lozenge"				:[function(){insertoperator(
		["\\lozenge"]		);},
		["\\lozenge"]		],
	"maltese"				:[function(){insertoperator(
		["\\maltese"]		);},
		["\\maltese"]		],
	"natural"				:[function(){insertoperator(
		["\\natural"]		);},
		["\\natural"]		],
	"nearrow"				:[function(){insertoperator(
		["\\nearrow"]		);},
		["\\nearrow"]		],
	"nexists"				:[function(){insertoperator(
		["\\nexists"]		);},
		["\\nexists"]		],
	"npreceq"				:[function(){insertoperator(
		["\\npreceq"]		);},
		["\\npreceq"]		],
	"nsucceq"				:[function(){insertoperator(
		["\\nsucceq"]		);},
		["\\nsucceq"]		],
	"nwarrow"				:[function(){insertoperator(
		["\\nwarrow"]		);},
		["\\nwarrow"]		],
	"omicron"				:[function(){insertoperator(
		["\\omicron"]		);},
		["\\omicron"]		],
	"partial"				:[function(){insertoperator(
		["\\partial"]		);},
		["\\partial"]		],
	"precsim"				:[function(){insertoperator(
		["\\precsim"]		);},
		["\\precsim"]		],
	"projlim"				:[function(){insertoperator(
		["\\projlim"]		);},
		["\\projlim"]		],
	"searrow"				:[function(){insertoperator(
		["\\searrow"]		);},
		["\\searrow"]		],
	"succsim"				:[function(){insertoperator(
		["\\succsim"]		);},
		["\\succsim"]		],
	"swarrow"				:[function(){insertoperator(
		["\\swarrow"]		);},
		["\\swarrow"]		],
	"Uparrow"				:[function(){insertoperator(
		["\\Uparrow"]		);},
		["\\Uparrow"]		],
	"uparrow"				:[function(){insertoperator(
		["\\uparrow"]		);},
		["\\uparrow"]		],
	"Upsilon"				:[function(){insertoperator(
		["\\Upsilon"]		);},
		["\\Upsilon"]		],
	"upsilon"				:[function(){insertoperator(
		["\\upsilon"]		);},
		["\\upsilon"]		],
	"approx"				:[function(){insertoperator(
		["\\approx"]		);},
		["\\approx"]		],
	"arccos"				:[function(){insertoperator(
		["\\arccos"]		);},
		["\\arccos"]		],
	"arcsin"				:[function(){insertoperator(
		["\\arcsin"]		);},
		["\\arcsin"]		],
	"arctan"				:[function(){insertoperator(
		["\\arctan"]		);},
		["\\arctan"]		],
	"bigcap"				:[function(){insertoperator(
		["\\bigcap"]		);},
		["\\bigcap"]		],
	"bigcup"				:[function(){insertoperator(
		["\\bigcup"]		);},
		["\\bigcup"]		],
	"bigvee"				:[function(){insertoperator(
		["\\bigvee"]		);},
		["\\bigvee"]		],
	"bowtie"				:[function(){insertoperator(
		["\\bowtie"]		);},
		["\\bowtie"]		],
	"boxdot"				:[function(){insertoperator(
		["\\boxdot"]		);},
		["\\boxdot"]		],
	"bullet"				:[function(){insertoperator(
		["\\bullet"]		);},
		["\\bullet"]		],
	"Bumpeq"				:[function(){insertoperator(
		["\\Bumpeq"]		);},
		["\\Bumpeq"]		],
	"bumpeq"				:[function(){insertoperator(
		["\\bumpeq"]		);},
		["\\bumpeq"]		],
	"circeq"				:[function(){insertoperator(
		["\\circeq"]		);},
		["\\circeq"]		],
	"coprod"				:[function(){insertoperator(
		["\\coprod"]		);},
		["\\coprod"]		],
	"dagger"				:[function(){insertoperator(
		["\\dagger"]		);},
		["\\dagger"]		],
	"daleth"				:[function(){insertoperator(
		["\\daleth"]		);},
		["\\daleth"]		],
	"diagup"				:[function(){insertoperator(
		["\\diagup"]		);},
		["\\diagup"]		],
	"eqcirc"				:[function(){insertoperator(
		["\\eqcirc"]		);},
		["\\eqcirc"]		],
	"exists"				:[function(){insertoperator(
		["\\exists"]		);},
		["\\exists"]		],
	"forall"				:[function(){insertoperator(
		["\\forall"]		);},
		["\\forall"]		],
	"gtrdot"				:[function(){insertoperator(
		["\\gtrdot"]		);},
		["\\gtrdot"]		],
	"gtrsim"				:[function(){insertoperator(
		["\\gtrsim"]		);},
		["\\gtrsim"]		],
	"hslash"				:[function(){insertoperator(
		["\\hslash"]		);},
		["\\hslash"]		],
	"iiiint"				:[function(){insertoperator(
		["\\iiiint"]		);},
		["\\iiiint"]		],
	"injlim"				:[function(){insertoperator(
		["\\injlim"]		);},
		["\\injlim"]		],
	"Lambda"				:[function(){insertoperator(
		["\\Lambda"]		);},
		["\\Lambda"]		],
	"lambda"				:[function(){insertoperator(
		["\\lambda"]		);},
		["\\lambda"]		],
	"langle"				:[function(){insertoperator(
		["\\langle"]		);},
		["\\langle"]		],
	"lbrace"				:[function(){insertoperator(
		["\\lbrace"]		);},
		["\\lbrace"]		],
	"lbrack"				:[function(){insertoperator(
		["\\lbrack"]		);},
		["\\lbrack"]		],
	"lfloor"				:[function(){insertoperator(
		["\\lfloor"]		);},
		["\\lfloor"]		],
	"lgroup"				:[function(){insertoperator(
		["\\lgroup"]		);},
		["\\lgroup"]		],
	"liminf"				:[function(){insertoperator(
		["\\liminf"]		);},
		["\\liminf"]		],
	"limsup"				:[function(){insertoperator(
		["\\limsup"]		);},
		["\\limsup"]		],
	"llless"				:[function(){insertoperator(
		["\\llless"]		);},
		["\\llless"]		],
	"ltimes"				:[function(){insertoperator(
		["\\ltimes"]		);},
		["\\ltimes"]		],
	"mapsto"				:[function(){insertoperator(
		["\\mapsto"]		);},
		["\\mapsto"]		],
	"models"				:[function(){insertoperator(
		["\\models"]		);},
		["\\models"]		],
	"nvdash"				:[function(){insertoperator(
		["\\nvdash"]		);},
		["\\nvdash"]		],
	"nVDash"				:[function(){insertoperator(
		["\\nVDash"]		);},
		["\\nVDash"]		],
	"nVdash"				:[function(){insertoperator(
		["\\nVdash"]		);},
		["\\nVdash"]		],
	"nvDash"				:[function(){insertoperator(
		["\\nvDash"]		);},
		["\\nvDash"]		],
	"ominus"				:[function(){insertoperator(
		["\\ominus"]		);},
		["\\ominus"]		],
	"oslash"				:[function(){insertoperator(
		["\\oslash"]		);},
		["\\oslash"]		],
	"otimes"				:[function(){insertoperator(
		["\\otimes"]		);},
		["\\otimes"]		],
	"preceq"				:[function(){insertoperator(
		["\\preceq"]		);},
		["\\preceq"]		],
	"propto"				:[function(){insertoperator(
		["\\propto"]		);},
		["\\propto"]		],
	"rangle"				:[function(){insertoperator(
		["\\rangle"]		);},
		["\\rangle"]		],
	"rbrace"				:[function(){insertoperator(
		["\\rbrace"]		);},
		["\\rbrace"]		],
	"rbrack"				:[function(){insertoperator(
		["\\rbrack"]		);},
		["\\rbrack"]		],
	"rfloor"				:[function(){insertoperator(
		["\\rfloor"]		);},
		["\\rfloor"]		],
	"rgroup"				:[function(){insertoperator(
		["\\rgroup"]		);},
		["\\rgroup"]		],
	"rtimes"				:[function(){insertoperator(
		["\\rtimes"]		);},
		["\\rtimes"]		],
	"square"				:[function(){insertoperator(
		["\\square"]		);},
		["\\square"]		],
	"subset"				:[function(){insertoperator(
		["\\subset"]		);},
		["\\subset"]		],
	"Subset"				:[function(){insertoperator(
		["\\Subset"]		);},
		["\\Subset"]		],
	"succeq"				:[function(){insertoperator(
		["\\succeq"]		);},
		["\\succeq"]		],
	"supset"				:[function(){insertoperator(
		["\\supset"]		);},
		["\\supset"]		],
	"Supset"				:[function(){insertoperator(
		["\\Supset"]		);},
		["\\Supset"]		],
	"varphi"				:[function(){insertoperator(
		["\\varphi"]		);},
		["\\varphi"]		],
	"varPhi"				:[function(){insertoperator(
		["\\varPhi"]		);},
		["\\varPhi"]		],
	"varPsi"				:[function(){insertoperator(
		["\\varPsi"]		);},
		["\\varPsi"]		],
	"varrho"				:[function(){insertoperator(
		["\\varrho"]		);},
		["\\varrho"]		],
	"veebar"				:[function(){insertoperator(
		["\\veebar"]		);},
		["\\veebar"]		],
	"Vvdash"				:[function(){insertoperator(
		["\\Vvdash"]		);},
		["\\Vvdash"]		],
	"aleph"					:[function(){insertoperator(
		["\\aleph"]			);},
		["\\aleph"]			],
	"alpha"					:[function(){insertoperator(
		["\\alpha"]			);},
		["\\alpha"]			],
	"amalg"					:[function(){insertoperator(
		["\\amalg"]			);},
		["\\amalg"]			],
	"angle"					:[function(){insertoperator(
		["\\angle"]			);},
		["\\angle"]			],
	"asymp"					:[function(){insertoperator(
		["\\asymp"]			);},
		["\\asymp"]			],
	"cdotp"					:[function(){insertoperator(
		["\\cdotp"]			);},
		["\\cdotp"]			],
	"cdots"					:[function(){insertoperator(
		["\\cdots"]			);},
		["\\cdots"]			],
	"colon"					:[function(){insertoperator(
		["\\colon"]			);},
		["\\colon"]			],
	"dashv"					:[function(){insertoperator(
		["\\dashv"]			);},
		["\\dashv"]			],
	"ddots"					:[function(){insertoperator(
		["\\ddots"]			);},
		["\\ddots"]			],
	"Delta"					:[function(){insertoperator(
		["\\Delta"]			);},
		["\\Delta"]			],
	"delta"					:[function(){insertoperator(
		["\\delta"]			);},
		["\\delta"]			],
	"doteq"					:[function(){insertoperator(
		["\\doteq"]			);},
		["\\doteq"]			],
	"Doteq"					:[function(){insertoperator(
		["\\Doteq"]			);},
		["\\Doteq"]			],
	"dotsb"					:[function(){insertoperator(
		["\\dotsb"]			);},
		["\\dotsb"]			],
	"dotsc"					:[function(){insertoperator(
		["\\dotsc"]			);},
		["\\dotsc"]			],
	"dotsi"					:[function(){insertoperator(
		["\\dotsi"]			);},
		["\\dotsi"]			],
	"dotsm"					:[function(){insertoperator(
		["\\dotsm"]			);},
		["\\dotsm"]			],
	"dotso"					:[function(){insertoperator(
		["\\dotso"]			);},
		["\\dotso"]			],
	"eqsim"					:[function(){insertoperator(
		["\\eqsim"]			);},
		["\\eqsim"]			],
	"equiv"					:[function(){insertoperator(
		["\\equiv"]			);},
		["\\equiv"]			],
	"frown"					:[function(){insertoperator(
		["\\frown"]			);},
		["\\frown"]			],
	"Gamma"					:[function(){insertoperator(
		["\\Gamma"]			);},
		["\\Gamma"]			],
	"gamma"					:[function(){insertoperator(
		["\\gamma"]			);},
		["\\gamma"]			],
	"gggtr"					:[function(){insertoperator(
		["\\gggtr"]			);},
		["\\gggtr"]			],
	"gimel"					:[function(){insertoperator(
		["\\gimel"]			);},
		["\\gimel"]			],
	"gneqq"					:[function(){insertoperator(
		["\\gneqq"]			);},
		["\\gneqq"]			],
	"gnsim"					:[function(){insertoperator(
		["\\gnsim"]			);},
		["\\gnsim"]			],
	"iiint"					:[function(){insertoperator(
		["\\iiint"]			);},
		["\\iiint"]			],
	"imath"					:[function(){insertoperator(
		["\\imath"]			);},
		["\\imath"]			],
	"infty"					:[function(){insertoperator(
		["\\infty"]			);},
		["\\infty"]			],
	"intop"					:[function(){insertoperator(
		["\\intop"]			);},
		["\\intop"]			],
	"jmath"					:[function(){insertoperator(
		["\\jmath"]			);},
		["\\jmath"]			],
	"kappa"					:[function(){insertoperator(
		["\\kappa"]			);},
		["\\kappa"]			],
	"lceil"					:[function(){insertoperator(
		["\\lceil"]			);},
		["\\lceil"]			],
	"ldotp"					:[function(){insertoperator(
		["\\ldotp"]			);},
		["\\ldotp"]			],
	"ldots"					:[function(){insertoperator(
		["\\ldots"]			);},
		["\\ldots"]			],
	"lneqq"					:[function(){insertoperator(
		["\\lneqq"]			);},
		["\\lneqq"]			],
	"lnsim"					:[function(){insertoperator(
		["\\lnsim"]			);},
		["\\lnsim"]			],
	"lVert"					:[function(){insertoperator(
		["\\lVert"]			);},
		["\\lVert"]			],
	"lvert"					:[function(){insertoperator(
		["\\lvert"]			);},
		["\\lvert"]			],
	"nabla"					:[function(){insertoperator(
		["\\nabla"]			);},
		["\\nabla"]			],
	"ncong"					:[function(){insertoperator(
		["\\ncong"]			);},
		["\\ncong"]			],
	"ngeqq"					:[function(){insertoperator(
		["\\ngeqq"]			);},
		["\\ngeqq"]			],
	"nleqq"					:[function(){insertoperator(
		["\\nleqq"]			);},
		["\\nleqq"]			],
	"nless"					:[function(){insertoperator(
		["\\nless"]			);},
		["\\nless"]			],
	"notin"					:[function(){insertoperator(
		["\\notin"]			);},
		["\\notin"]			],
	"nprec"					:[function(){insertoperator(
		["\\nprec"]			);},
		["\\nprec"]			],
	"nsucc"					:[function(){insertoperator(
		["\\nsucc"]			);},
		["\\nsucc"]			],
	"Omega"					:[function(){insertoperator(
		["\\Omega"]			);},
		["\\Omega"]			],
	"omega"					:[function(){insertoperator(
		["\\omega"]			);},
		["\\omega"]			],
	"oplus"					:[function(){insertoperator(
		["\\oplus"]			);},
		["\\oplus"]			],
	"prime"					:[function(){insertoperator(
		["\\prime"]			);},
		["\\prime"]			],
	"qquad"					:[function(){insertoperator(
		["\\qquad"]			);},
		["\\qquad"]			],
	"rceil"					:[function(){insertoperator(
		["\\rceil"]			);},
		["\\rceil"]			],
	"rVert"					:[function(){insertoperator(
		["\\rVert"]			);},
		["\\rVert"]			],
	"rvert"					:[function(){insertoperator(
		["\\rvert"]			);},
		["\\rvert"]			],
	"sharp"					:[function(){insertoperator(
		["\\sharp"]			);},
		["\\sharp"]			],
	"Sigma"					:[function(){insertoperator(
		["\\Sigma"]			);},
		["\\Sigma"]			],
	"sigma"					:[function(){insertoperator(
		["\\sigma"]			);},
		["\\sigma"]			],
	"simeq"					:[function(){insertoperator(
		["\\simeq"]			);},
		["\\simeq"]			],
	"smile"					:[function(){insertoperator(
		["\\smile"]			);},
		["\\smile"]			],
	"sqcap"					:[function(){insertoperator(
		["\\sqcap"]			);},
		["\\sqcap"]			],
	"sqcup"					:[function(){insertoperator(
		["\\sqcup"]			);},
		["\\sqcup"]			],
	"Theta"					:[function(){insertoperator(
		["\\Theta"]			);},
		["\\Theta"]			],
	"theta"					:[function(){insertoperator(
		["\\theta"]			);},
		["\\theta"]			],
	"times"					:[function(){insertoperator(
		["\\times"]			);},
		["\\times"]			],
	"unlhd"					:[function(){insertoperator(
		["\\unlhd"]			);},
		["\\unlhd"]			],
	"unrhd"					:[function(){insertoperator(
		["\\unrhd"]			);},
		["\\unrhd"]			],
	"uplus"					:[function(){insertoperator(
		["\\uplus"]			);},
		["\\uplus"]			],
	"varpi"					:[function(){insertoperator(
		["\\varpi"]			);},
		["\\varpi"]			],
	"varPi"					:[function(){insertoperator(
		["\\varPi"]			);},
		["\\varPi"]			],
	"varXi"					:[function(){insertoperator(
		["\\varXi"]			);},
		["\\varXi"]			],
	"vdash"					:[function(){insertoperator(
		["\\vdash"]			);},
		["\\vdash"]			],
	"Vdash"					:[function(){insertoperator(
		["\\Vdash"]			);},
		["\\Vdash"]			],
	"vDash"					:[function(){insertoperator(
		["\\vDash"]			);},
		["\\vDash"]			],
	"vdots"					:[function(){insertoperator(
		["\\vdots"]			);},
		["\\vdots"]			],
	"wedge"					:[function(){insertoperator(
		["\\wedge"]			);},
		["\\wedge"]			],
	"Bbbk"					:[function(){insertoperator(
		["\\Bbbk"]			);},
		["\\Bbbk"]			],
	"beta"					:[function(){insertoperator(
		["\\beta"]			);},
		["\\beta"]			],
	"beth"					:[function(){insertoperator(
		["\\beth"]			);},
		["\\beth"]			],
	"bmod"					:[function(){insertoperator(
		["\\bmod"]			);},
		["\\bmod"]			],
	"cdot"					:[function(){insertoperator(
		["\\cdot"]			);},
		["\\cdot"]			],
	"circ"					:[function(){insertoperator(
		["\\circ"]			);},
		["\\circ"]			],
	"cong"					:[function(){insertoperator(
		["\\cong"]			);},
		["\\cong"]			],
	"cosh"					:[function(){insertoperator(
		["\\cosh"]			);},
		["\\cosh"]			],
	"coth"					:[function(){insertoperator(
		["\\coth"]			);},
		["\\coth"]			],
	"dots"					:[function(){insertoperator(
		["\\dots"]			);},
		["\\dots"]			],
	"Finv"					:[function(){insertoperator(
		["\\Finv"]			);},
		["\\Finv"]			],
	"flat"					:[function(){insertoperator(
		["\\flat"]			);},
		["\\flat"]			],
	"Game"					:[function(){insertoperator(
		["\\Game"]			);},
		["\\Game"]			],
	"geqq"					:[function(){insertoperator(
		["\\geqq"]			);},
		["\\geqq"]			],
	"gets"					:[function(){insertoperator(
		["\\gets"]			);},
		["\\gets"]			],
	"gneq"					:[function(){insertoperator(
		["\\gneq"]			);},
		["\\gneq"]			],
	"hbar"					:[function(){insertoperator(
		["\\hbar"]			);},
		["\\hbar"]			],
	"iint"					:[function(){insertoperator(
		["\\iint"]			);},
		["\\iint"]			],
	"iota"					:[function(){insertoperator(
		["\\iota"]			);},
		["\\iota"]			],
	"Join"					:[function(){insertoperator(
		["\\Join"]			);},
		["\\Join"]			],
	"land"					:[function(){insertoperator(
		["\\land"]			);},
		["\\land"]			],
	"leqq"					:[function(){insertoperator(
		["\\leqq"]			);},
		["\\leqq"]			],
	"lneq"					:[function(){insertoperator(
		["\\lneq"]			);},
		["\\lneq"]			],
	"lnot"					:[function(){insertoperator(
		["\\lnot"]			);},
		["\\lnot"]			],
	"ngeq"					:[function(){insertoperator(
		["\\ngeq"]			);},
		["\\ngeq"]			],
	"ngtr"					:[function(){insertoperator(
		["\\ngtr"]			);},
		["\\ngtr"]			],
	"nleq"					:[function(){insertoperator(
		["\\nleq"]			);},
		["\\nleq"]			],
	"nmid"					:[function(){insertoperator(
		["\\nmid"]			);},
		["\\nmid"]			],
	"nsim"					:[function(){insertoperator(
		["\\nsim"]			);},
		["\\nsim"]			],
	"odot"					:[function(){insertoperator(
		["\\odot"]			);},
		["\\odot"]			],
	"oint"					:[function(){insertoperator(
		["\\oint"]			);},
		["\\oint"]			],
	"owns"					:[function(){insertoperator(
		["\\owns"]			);},
		["\\owns"]			],
	"perp"					:[function(){insertoperator(
		["\\perp"]			);},
		["\\perp"]			],
	"prec"					:[function(){insertoperator(
		["\\prec"]			);},
		["\\prec"]			],
	"prod"					:[function(){insertoperator(
		["\\prod"]			);},
		["\\prod"]			],
	"sinh"					:[function(){insertoperator(
		["\\sinh"]			);},
		["\\sinh"]			],
	"quad"					:[function(){insertoperator(
		["\\quad"]			);},
		["\\quad"]			],
	"star"					:[function(){insertoperator(
		["\\star"]			);},
		["\\star"]			],
	"succ"					:[function(){insertoperator(
		["\\succ"]			);},
		["\\succ"]			],
	"surd"					:[function(){insertoperator(
		["\\surd"]			);},
		["\\surd"]			],
	"tanh"					:[function(){insertoperator(
		["\\tanh"]			);},
		["\\tanh"]			],
	"Vert"					:[function(){insertoperator(
		["\\Vert"]			);},
		["\\Vert"]			],
	"vert"					:[function(){insertoperator(
		["\\vert"]			);},
		["\\vert"]			],
	"zeta"					:[function(){insertoperator(
		["\\zeta"]			);},
		["\\zeta"]			],
	"And"					:[function(){insertoperator(
		["\\And"]			);},
		["\\And"]			],
	"arg"					:[function(){insertoperator(
		["\\arg"]			);},
		["\\arg"]			],
	"ast"					:[function(){insertoperator(
		["\\ast"]			);},
		["\\ast"]			],
	"bot"					:[function(){insertoperator(
		["\\bot"]			);},
		["\\bot"]			],
	"Box"					:[function(){insertoperator(
		["\\Box"]			);},
		["\\Box"]			],
	"cap"					:[function(){insertoperator(
		["\\cap"]			);},
		["\\cap"]			],
	"Cap"					:[function(){insertoperator(
		["\\Cap"]			);},
		["\\Cap"]			],
	"chi"					:[function(){insertoperator(
		["\\chi"]			);},
		["\\chi"]			],
	"cos"					:[function(){insertoperator(
		["\\cos"]			);},
		["\\cos"]			],
	"cot"					:[function(){insertoperator(
		["\\cot"]			);},
		["\\cot"]			],
	"csc"					:[function(){insertoperator(
		["\\csc"]			);},
		["\\csc"]			],
	"cup"					:[function(){insertoperator(
		["\\cup"]			);},
		["\\cup"]			],
	"Cup"					:[function(){insertoperator(
		["\\Cup"]			);},
		["\\Cup"]			],
	"deg"					:[function(){insertoperator(
		["\\deg"]			);},
		["\\deg"]			],
	"det"					:[function(){insertoperator(
		["\\det"]			);},
		["\\det"]			],
	"dim"					:[function(){insertoperator(
		["\\dim"]			);},
		["\\dim"]			],
	"div"					:[function(){insertoperator(
		["\\div"]			);},
		["\\div"]			],
	"ell"					:[function(){insertoperator(
		["\\ell"]			);},
		["\\ell"]			],
	"eta"					:[function(){insertoperator(
		["\\eta"]			);},
		["\\eta"]			],
	"eth"					:[function(){insertoperator(
		["\\eth"]			);},
		["\\eth"]			],
	"exp"					:[function(){insertoperator(
		["\\exp"]			);},
		["\\exp"]			],
	"gcd"					:[function(){insertoperator(
		["\\gcd"]			);},
		["\\gcd"]			],
	"geq"					:[function(){insertoperator(
		["\\geq"]			);},
		["\\geq"]			],
	"ggg"					:[function(){insertoperator(
		["\\ggg"]			);},
		["\\ggg"]			],
	"hom"					:[function(){insertoperator(
		["\\hom"]			);},
		["\\hom"]			],
	"iff"					:[function(){insertoperator(
		["\\iff"]			);},
		["\\iff"]			],
	"inf"					:[function(){insertoperator(
		["\\inf"]			);},
		["\\inf"]			],
	"int"					:[function(){insertoperator(
		["\\int"]			);},
		["\\int"]			],
	"ker"					:[function(){insertoperator(
		["\\ker"]			);},
		["\\ker"]			],
	"leq"					:[function(){insertoperator(
		["\\leq"]			);},
		["\\leq"]			],
	"lhd"					:[function(){insertoperator(
		["\\lhd"]			);},
		["\\lhd"]			],
	"lim"					:[function(){insertoperator(
		["\\lim"]			);},
		["\\lim"]			],
	"lll"					:[function(){insertoperator(
		["\\lll"]			);},
		["\\lll"]			],
	"log"					:[function(){insertoperator(
		["\\log"]			);},
		["\\log"]			],
	"lor"					:[function(){insertoperator(
		["\\lor"]			);},
		["\\lor"]			],
	"Lsh"					:[function(){insertoperator(
		["\\Lsh"]			);},
		["\\Lsh"]			],
	"max"					:[function(){insertoperator(
		["\\max"]			);},
		["\\max"]			],
	"mho"					:[function(){insertoperator(
		["\\mho"]			);},
		["\\mho"]			],
	"mid"					:[function(){insertoperator(
		["\\mid"]			);},
		["\\mid"]			],
	"min"					:[function(){insertoperator(
		["\\min"]			);},
		["\\min"]			],
	"mod"					:[function(){insertoperator(
		["\\mod\\ "]			);},
		["\\mod\\ "]			],
	"neg"					:[function(){insertoperator(
		["\\neg"]			);},
		["\\neg"]			],
	"neq"					:[function(){insertoperator(
		["\\neq"]			);},
		["\\neq"]			],
	"not"					:[function(){insertoperator(
		["\\not"]			);},
		["\\not"]			],
	"Phi"					:[function(){insertoperator(
		["\\Phi"]			);},
		["\\Phi"]			],
	"phi"					:[function(){insertoperator(
		["\\phi"]			);},
		["\\phi"]			],
	"Psi"					:[function(){insertoperator(
		["\\Psi"]			);},
		["\\Psi"]			],
	"psi"					:[function(){insertoperator(
		["\\psi"]			);},
		["\\psi"]			],
	"rhd"					:[function(){insertoperator(
		["\\rhd"]			);},
		["\\rhd"]			],
	"rho"					:[function(){insertoperator(
		["\\rho"]			);},
		["\\rho"]			],
	"Rsh"					:[function(){insertoperator(
		["\\Rsh"]			);},
		["\\Rsh"]			],
	"sec"					:[function(){insertoperator(
		["\\sec"]			);},
		["\\sec"]			],
	"sim"					:[function(){insertoperator(
		["\\sim"]			);},
		["\\sim"]			],
	"sin"					:[function(){insertoperator(
		["\\sin"]			);},
		["\\sin"]			],
	"sum"					:[function(){insertoperator(
		["\\sum"]			);},
		["\\sum"]			],
	"sup"					:[function(){insertoperator(
		["\\sup"]			);},
		["\\sup"]			],
	"tan"					:[function(){insertoperator(
		["\\tan"]			);},
		["\\tan"]			],
	"tau"					:[function(){insertoperator(
		["\\tau"]			);},
		["\\tau"]			],
	"top"					:[function(){insertoperator(
		["\\top"]			);},
		["\\top"]			],
	"vee"					:[function(){insertoperator(
		["\\vee"]			);},
		["\\vee"]			],
	"yen"					:[function(){insertoperator(
		["\\yen"]			);},
		["\\yen"]			],
	"ge"					:[function(){insertoperator(
		["\\ge"]			);},
		["\\ge"]			],
	"gg"					:[function(){insertoperator(
		["\\gg"]			);},
		["\\gg"]			],
	"gt"					:[function(){insertoperator(
		["\\gt"]			);},
		["\\gt"]			],
	"Im"					:[function(){insertoperator(
		["\\Im"]			);},
		["\\Im"]			],
	"in"					:[function(){insertoperator(
		["\\in"]			);},
		["\\in"]			],
	"le"					:[function(){insertoperator(
		["\\le"]			);},
		["\\le"]			],
	"lg"					:[function(){insertoperator(
		["\\lg"]			);},
		["\\lg"]			],
	"ll"					:[function(){insertoperator(
		["\\ll"]			);},
		["\\ll"]			],
	"ln"					:[function(){insertoperator(
		["\\ln"]			);},
		["\\ln"]			],
	"lt"					:[function(){insertoperator(
		["\\lt"]			);},
		["\\lt"]			],
	"mp"					:[function(){insertoperator(
		["\\mp"]			);},
		["\\mp"]			],
	"mu"					:[function(){insertoperator(
		["\\mu"]			);},
		["\\mu"]			],
	"ne"					:[function(){insertoperator(
		["\\ne"]			);},
		["\\ne"]			],
	"ni"					:[function(){insertoperator(
		["\\ni"]			);},
		["\\ni"]			],
	"nu"					:[function(){insertoperator(
		["\\nu"]			);},
		["\\nu"]			],
	"Pi"					:[function(){insertoperator(
		["\\Pi"]			);},
		["\\Pi"]			],
	"pi"					:[function(){insertoperator(
		["\\pi"]			);},
		["\\pi"]			],
	"pm"					:[function(){insertoperator(
		["\\pm"]			);},
		["\\pm"]			],
	"Pr"					:[function(){insertoperator(
		["\\Pr"]			);},
		["\\Pr"]			],
	"Re"					:[function(){insertoperator(
		["\\Re"]			);},
		["\\Re"]			],
	"to"					:[function(){insertoperator(
		["\\to"]			);},
		["\\to"]			],
	"wp"					:[function(){insertoperator(
		["\\wp"]			);},
		["\\wp"]			],
	"wr"					:[function(){insertoperator(
		["\\wr"]			);},
		["\\wr"]			],
	"Xi"					:[function(){insertoperator(
		["\\Xi"]			);},
		["\\Xi"]			],
	"xi"					:[function(){insertoperator(
		["\\xi"]			);},
		["\\xi"]			],
	"equalampersand"		:[function(){insertoperator(
		["&=&"]				);},
		["&=&"]				],
	"S"						:[function(){insertoperator(
		["\\S"]				);},
		["\\S"]				],
	"complexconjugate"		:[function(){insertoperator(
		["^{*}"]				);},
		["^{*}"]				],
	"percent"				:[function(){insertoperator(
		["\\%"]				);},
		["\\%"]				],
	"parallel2"				:[function(){insertoperator(
		["\\|"]				);},
		["\\|"]				],
	"addition"				:[function(){insertoperator(
		["+"]				);},
		["+"]				],
	"subtraction"			:[function(){insertoperator(
		["-"]				);},
		["-"]				],
	"slash"					:[function(){insertoperator(
		["/"]				);},
		["/"]				],
	"n0"					:[function(){insertoperator(
		["0"]				);},
		["0"]				],
	"n1"					:[function(){insertoperator(
		["1"]				);},
		["1"]				],
	"n2"					:[function(){insertoperator(
		["2"]				);},
		["2"]				],
	"n3"					:[function(){insertoperator(
		["3"]				);},
		["3"]				],
	"n4"					:[function(){insertoperator(
		["4"]				);},
		["4"]				],
	"n5"					:[function(){insertoperator(
		["5"]				);},
		["5"]				],
	"n6"					:[function(){insertoperator(
		["6"]				);},
		["6"]				],
	"n7"					:[function(){insertoperator(
		["7"]				);},
		["7"]				],
	"n8"					:[function(){insertoperator(
		["8"]				);},
		["8"]				],
	"n9"					:[function(){insertoperator(
		["9"]				);},
		["9"]				],
	"smalllettera"			:[function(){insertoperator(
		["a"]				);},
		["a"]				],
	"smallletterb"			:[function(){insertoperator(
		["b"]				);},
		["b"]				],
	"smallletterc"			:[function(){insertoperator(
		["c"]				);},
		["c"]				],
	"smallletterd"			:[function(){insertoperator(
		["d"]				);},
		["d"]				],
	"smalllettere"			:[function(){insertoperator(
		["e"]				);},
		["e"]				],
	"smallletterf"			:[function(){insertoperator(
		["f"]				);},
		["f"]				],
	"smallletterg"			:[function(){insertoperator(
		["g"]				);},
		["g"]				],
	"smallletterh"			:[function(){insertoperator(
		["h"]				);},
		["h"]				],
	"smallletteri"			:[function(){insertoperator(
		["i"]				);},
		["i"]				],
	"smallletterj"			:[function(){insertoperator(
		["j"]				);},
		["j"]				],
	"smallletterk"			:[function(){insertoperator(
		["k"]				);},
		["k"]				],
	"smallletterl"			:[function(){insertoperator(
		["l"]				);},
		["l"]				],
	"smallletterm"			:[function(){insertoperator(
		["m"]				);},
		["m"]				],
	"smalllettern"			:[function(){insertoperator(
		["n"]				);},
		["n"]				],
	"smalllettero"			:[function(){insertoperator(
		["o"]				);},
		["o"]				],
	"smallletterp"			:[function(){insertoperator(
		["p"]				);},
		["p"]				],
	"smallletterq"			:[function(){insertoperator(
		["q"]				);},
		["q"]				],
	"smallletterr"			:[function(){insertoperator(
		["r"]				);},
		["r"]				],
	"smallletters"			:[function(){insertoperator(
		["s"]				);},
		["s"]				],
	"smalllettert"			:[function(){insertoperator(
		["t"]				);},
		["t"]				],
	"smallletteru"			:[function(){insertoperator(
		["u"]				);},
		["u"]				],
	"smallletterv"			:[function(){insertoperator(
		["v"]				);},
		["v"]				],
	"smallletterw"			:[function(){insertoperator(
		["w"]				);},
		["w"]				],
	"smallletterx"			:[function(){insertoperator(
		["x"]				);},
		["x"]				],
	"smalllettery"			:[function(){insertoperator(
		["y"]				);},
		["y"]				],
	"smallletterz"			:[function(){insertoperator(
		["z"]				);},
		["z"]				],
	"capitalletterA"		:[function(){insertoperator(
		["A"]				);},
		["A"]				],
	"capitalletterB"		:[function(){insertoperator(
		["B"]				);},
		["B"]				],
	"capitalletterC"		:[function(){insertoperator(
		["C"]				);},
		["C"]				],
	"capitalletterD"		:[function(){insertoperator(
		["D"]				);},
		["D"]				],
	"capitalletterE"		:[function(){insertoperator(
		["E"]				);},
		["E"]				],
	"capitalletterF"		:[function(){insertoperator(
		["F"]				);},
		["F"]				],
	"capitalletterG"		:[function(){insertoperator(
		["G"]				);},
		["G"]				],
	"capitalletterH"		:[function(){insertoperator(
		["H"]				);},
		["H"]				],
	"capitalletterI"		:[function(){insertoperator(
		["I"]				);},
		["I"]				],
	"capitalletterJ"		:[function(){insertoperator(
		["J"]				);},
		["J"]				],
	"capitalletterK"		:[function(){insertoperator(
		["K"]				);},
		["K"]				],
	"capitalletterL"		:[function(){insertoperator(
		["L"]				);},
		["L"]				],
	"capitalletterM"		:[function(){insertoperator(
		["M"]				);},
		["M"]				],
	"capitalletterN"		:[function(){insertoperator(
		["N"]				);},
		["N"]				],
	"capitalletterO"		:[function(){insertoperator(
		["O"]				);},
		["O"]				],
	"capitalletterP"		:[function(){insertoperator(
		["P"]				);},
		["P"]				],
	"capitalletterQ"		:[function(){insertoperator(
		["Q"]				);},
		["Q"]				],
	"capitalletterR"		:[function(){insertoperator(
		["R"]				);},
		["R"]				],
	"capitalletterS"		:[function(){insertoperator(
		["S"]				);},
		["S"]				],
	"capitalletterT"		:[function(){insertoperator(
		["T"]				);},
		["T"]				],
	"capitalletterU"		:[function(){insertoperator(
		["U"]				);},
		["U"]				],
	"capitalletterV"		:[function(){insertoperator(
		["V"]				);},
		["V"]				],
	"capitalletterW"		:[function(){insertoperator(
		["W"]				);},
		["W"]				],
	"capitalletterX"		:[function(){insertoperator(
		["X"]				);},
		["X"]				],
	"capitalletterY"		:[function(){insertoperator(
		["Y"]				);},
		["Y"]				],
	"capitalletterZ"		:[function(){insertoperator(
		["Z"]				);},
		["Z"]				],
	"greaterthan"			:[function(){insertoperator(
		[">"]				);},
		[">"]				],
	"lessthan"				:[function(){insertoperator(
		["<"]				);},
		["<"]				],
	"factorial"				:[function(){insertoperator(
		["!"]				);},
		["!"]				],
	"comma"					:[function(){insertoperator(
		[","]				);},
		[","]				],
	"semicolon"				:[function(){insertoperator(
		[";"]				);},
		[";"]				],
	"halfwidthspace"		:[function(){insertoperator(
		[" "]				);},
		[" "]				],
	"simpleleftparenthesis"		:[function(){insertoperator(
		["("]					);},
		["("]					],
	"simplerightparenthesis"	:[function(){insertoperator(
		[")"]					);},
		[")"]					],
	"simpleleftsquarebracket"	:[function(){insertoperator(
		["["]					);},
		["["]					],
	"simplerightsquarebracket"	:[function(){insertoperator(
		["]"]					);},
		["]"]					],
	"simpleleftbrace"			:[function(){insertoperator(
		["\\{"]					);},
		["\\{"]					],
	"simplerightbrace"			:[function(){insertoperator(
		["\\}"]					);},
		["\\}"]					],
	"simpleverticalbar"			:[function(){insertoperator(
		["|"]					);},
		["|"]					],
};

var TeXcommand2={
	"beginmatrix"										:[function(){insertoperator(
		["\\begin{matrix}","\\end{matrix}"]				);},
		["\\begin{matrix}","\\end{matrix}"]				],
	"beginpmatrix"										:[function(){insertoperator(
		["\\begin{pmatrix}","\\end{pmatrix}"]			);},
		["\\begin{pmatrix}","\\end{pmatrix}"]			],
	"beginbmatrix"										:[function(){insertoperator(
		["\\begin{bmatrix}","\\end{bmatrix}"]			);},
		["\\begin{bmatrix}","\\end{bmatrix}"]			],
	"beginBmatrix"										:[function(){insertoperator(
		["\\begin{Bmatrix}","\\end{Bmatrix}"]			);},
		["\\begin{Bmatrix}","\\end{Bmatrix}"]			],
	"beginvmatrix"										:[function(){insertoperator(
		["\\begin{vmatrix}","\\end{vmatrix}"]			);},
		["\\begin{vmatrix}","\\end{vmatrix}"]			],
	"beginVmatrix"										:[function(){insertoperator(
		["\\begin{Vmatrix}","\\end{Vmatrix}"]			);},
		["\\begin{Vmatrix}","\\end{Vmatrix}"]			],	
	"beginsmallmatrix"									:[function(){insertoperator(
		["\\begin{smallmatrix}","\\end{smallmatrix}"]	);},
		["\\begin{smallmatrix}","\\end{smallmatrix}"]	],
	"underleftrightarrow"								:[function(){insertoperator(
		["\\underleftrightarrow{","}"]					);},
		["\\underleftrightarrow{","}"]					],
	"scriptscriptstyle"		/**/							:[function(){insertoperator(
		["{\\scriptscriptstyle ","}"]					);},
		["{\\scriptscriptstyle ","}"]					],
	"overleftrightarrow"								:[function(){insertoperator(
		["\\overleftrightarrow{","}"]					);},
		["\\overleftrightarrow{","}"]					],
	"underrightarrow"									:[function(){insertoperator(
		["\\underrightarrow{","}"]						);},
		["\\underrightarrow{","}"]						],
	"overrightarrow"									:[function(){insertoperator(
		["\\overrightarrow{","}"]						);},
		["\\overrightarrow{","}"]						],
	"underleftarrow"									:[function(){insertoperator(
		["\\underleftarrow{","}"]						);},
		["\\underleftarrow{","}"]						],
	"displaystyle"			/**/							:[function(){insertoperator(
		["{\\displaystyle ","}"]						);},
		["{\\displaystyle ","}"]						],
	"overleftarrow"										:[function(){insertoperator(
		["\\overleftarrow{","}"]						);},
		["\\overleftarrow{","}"]						],
	"nobreakspace"			/**/							:[function(){insertoperator(
		["\\nobreakspace{","}"]							);},
		["\\nobreakspace{","}"]							],
	"scriptstyle"			/**/							:[function(){insertoperator(
		["{\\scriptstyle ","}"]							);},
		["{\\scriptstyle ","}"]							],
	"operatorname"										:[function(){insertoperator(
		["\\operatorname{","}"]							);},
		["\\operatorname{","}"]							],
	"xrightarrow"										:[function(){insertoperator(
		["\\xrightarrow{","}"]							);},
		["\\xrightarrow{","}"]							],
	"scriptsize"			/**/							:[function(){insertoperator(
		["{\\scriptsize ","}"]							);},
		["{\\scriptsize ","}"]							],
	"normalsize"			/**/							:[function(){insertoperator(
		["{\\normalsize ","}"]							);},
		["{\\normalsize ","}"]							],
	"boldsymbol"										:[function(){insertoperator(
		["\\boldsymbol{","}"]							);},
		["\\boldsymbol{","}"]							],
	"leqalignno"			/**/							:[function(){insertoperator(
		["\\leqalignno{","}"]							);},
		["\\leqalignno{","}"]							],
	"underbrace"										:[function(){insertoperator(
		["\\underbrace{","}"]							);},
		["\\underbrace{","}"]							],
	"xleftarrow"										:[function(){insertoperator(
		["\\xleftarrow{","}"]							);},
		["\\xleftarrow{","}"]							],
	"mathinner"				/**/							:[function(){insertoperator(
		["\\mathinner{","}"]							);},
		["\\mathinner{","}"]							],
	"mathpunct"				/**/							:[function(){insertoperator(
		["\\mathpunct{","}"]							);},
		["\\mathpunct{","}"]							],
	"overbrace"											:[function(){insertoperator(
		["\\overbrace{","}"]							);},
		["\\overbrace{","}"]							],
	"underline"											:[function(){insertoperator(
		["\\underline{","}"]							);},
		["\\underline{","}"]							],
	"widetilde"											:[function(){insertoperator(
		["\\widetilde{","}"]							);},
		["\\widetilde{","}"]							],
	"textstyle"				/**/							:[function(){insertoperator(
		["\\textstyle{","}"]							);},
		["\\textstyle{","}"]							],
	"oldstyle"				/**/							:[function(){insertoperator(
		["{\\oldstyle ","}"]							);},
		["{\\oldstyle ","}"]							],
	"mathring"											:[function(){insertoperator(
		["\\mathring{","}"]								);},
		["\\mathring{","}"]								],
	"overline"											:[function(){insertoperator(
		["\\overline{","}"]								);},
		["\\overline{","}"]								],
	"stackrel"				/*?*/							:[function(){insertoperator(
		["\\stackrel{","}"]								);},
		["\\stackrel{","}"]								],
	"hphantom"				/**/							:[function(){insertoperator(
		["\\hphantom{","}"]								);},
		["\\hphantom{","}"]								],
	"mathfrak"				/**/							:[function(){insertoperator(
		["\\mathfrak{","}"]								);},
		["\\mathfrak{","}"]								],
	"vphantom"				/**/							:[function(){insertoperator(
		["\\vphantom{","}"]								);},
		["\\vphantom{","}"]								],
	"substack"				/**/							:[function(){insertoperator(
		["\\substack{","}"]								);},
		["\\substack{","}"]								],
	"bcancel"											:[function(){insertoperator(
		["\\bcancel{","}"]								);},
		["\\bcancel{","}"]								],
	"xcancel"											:[function(){insertoperator(
		["\\xcancel{","}"]								);},
		["\\xcancel{","}"]								],
	"mathbin"				/**/							:[function(){insertoperator(
		["\\mathbin{","}"]								);},
		["\\mathbin{","}"]								],
	"mathrel"				/**/							:[function(){insertoperator(
		["\\mathrel{","}"]								);},
		["\\mathrel{","}"]								],
	"vcenter"				/**/							:[function(){insertoperator(
		["\\vcenter{","}"]								);},
		["\\vcenter{","}"]								],
	"widehat"											:[function(){insertoperator(
		["\\widehat{","}"]								);},
		["\\widehat{","}"]								],
	"mathcal"				/**/							:[function(){insertoperator(
		["\\mathcal{","}"]								);},
		["\\mathcal{","}"]								],
	"mathscr"				/**/							:[function(){insertoperator(
		["\\mathscr{","}"]								);},
		["\\mathscr{","}"]								],
	"phantom"				/**/							:[function(){insertoperator(
		["\\phantom{","}"]								);},
		["\\phantom{","}"]								],
	"cancel"											:[function(){insertoperator(
		["\\cancel{","}"]								);},
		["\\cancel{","}"]								],
	"ddddot"											:[function(){insertoperator(
		["\\ddddot{","}"]								);},
		["\\ddddot{","}"]								],
	"hspace"				/**/							:[function(){insertoperator(
		["\\hspace{","}"]								);},
		["\\hspace{","}"]								],
	"mathop"				/**/							:[function(){insertoperator(
		["\\mathop{","}"]								);},
		["\\mathop{","}"]								],
	"mathbb"				/**/							:[function(){insertoperator(
		["\\mathbb{","}"]								);},
		["\\mathbb{","}"]								],
	"mathbf"											:[function(){insertoperator(
		["\\mathbf{","}"]								);},
		["\\mathbf{","}"]								],
	"mathit"				/**/							:[function(){insertoperator(
		["\\mathit{","}"]								);},
		["\\mathit{","}"]								],
	"mathrm"											:[function(){insertoperator(
		["\\mathrm{","}"]								);},
		["\\mathrm{","}"]								],
	"mathsf"				/**/							:[function(){insertoperator(
		["\\mathsf{","}"]								);},
		["\\mathsf{","}"]								],
	"mathtt"				/**/							:[function(){insertoperator(
		["\\mathtt{","}"]								);},
		["\\mathtt{","}"]								],
	"textbf"				/**/							:[function(){insertoperator(
		["\\textbf{","}"]								);},
		["\\textbf{","}"]								],
	"textit"				/**/							:[function(){insertoperator(
		["\\textit{","}"]								);},
		["\\textit{","}"]								],
	"textrm"				/**/							:[function(){insertoperator(
		["\\textrm{","}"]								);},
		["\\textrm{","}"]								],
	"leftrightbraces"									:[function(){insertoperator(
		["\\left\\{","\\right\\}"]						);},
		["\\left\\{","\\right\\}"]						],
	"leftrightdoubleverticalbar"						:[function(){insertoperator(
		["\\left\\|","\\right\\|"]						);},
		["\\left\\|","\\right\\|"]						],
	"leftrightparentheses"								:[function(){insertoperator(
		["\\left(","\\right)"]							);},
		["\\left(","\\right)"]							],
	"leftrightsquarebrackets"							:[function(){insertoperator(
		["\\left[","\\right]"]							);},
		["\\left[","\\right]"]							],
	"leftrightsingleverticalbar"						:[function(){insertoperator(
		["\\left|","\\right|"]							);},
		["\\left|","\\right|"]							],
	"langlerangle"										:[function(){insertoperator(
		["\\langle","\\rangle"]							);},
		["\\langle","\\rangle"]							],
	"lbracerbrace"										:[function(){insertoperator(
		["\\lbrace","\\rbrace"]							);},
		["\\lbrace","\\rbrace"]							],
	"lbrackrbrack"										:[function(){insertoperator(
		["\\lbrack","\\rbrack"]							);},
		["\\lbrack","\\rbrack"]							],
	"lceilrceil"										:[function(){insertoperator(
		["\\lceil","\\rceil"]							);},
		["\\lceil","\\rceil"]							],
	"lfloorrfloor"										:[function(){insertoperator(
		["\\lfloor","\\rfloor"]							);},
		["\\lfloor","\\rfloor"]							],
	"lgrouprgroup"										:[function(){insertoperator(
		["\\lgroup","\\rgroup"]							);},
		["\\lgroup","\\rgroup"]							],
	"LARGE"					/**/							:[function(){insertoperator(
		["{\\LARGE ","}"]								);},
		["{\\LARGE ","}"]								],
	"Large"					/**/							:[function(){insertoperator(
		["{\\Large ","}"]								);},
		["{\\Large ","}"]								],
	"large"					/**/							:[function(){insertoperator(
		["{\\large ","}"]								);},
		["{\\large ","}"]								],
	"small"					/**/							:[function(){insertoperator(
		["{\\small ","}"]								);},
		["{\\small ","}"]								],
	"dddot"												:[function(){insertoperator(
		["\\dddot{","}"]								);},
		["\\dddot{","}"]								],
	"acute"												:[function(){insertoperator(
		["\\acute{","}"]								);},
		["\\acute{","}"]								],
	"boxed"												:[function(){insertoperator(
		["\\boxed{","}"]								);},
		["\\boxed{","}"]								],
	"breve"												:[function(){insertoperator(
		["\\breve{","}"]								);},
		["\\breve{","}"]								],
	"check"												:[function(){insertoperator(
		["\\check{","}"]								);},
		["\\check{","}"]								],
	"grave"												:[function(){insertoperator(
		["\\grave{","}"]								);},
		["\\grave{","}"]								],
	"tilde"												:[function(){insertoperator(
		["\\tilde{","}"]								);},
		["\\tilde{","}"]								],
	"Huge"				/**/								:[function(){insertoperator(
		["{\\Huge ","}"]								);},
		["{\\Huge ","}"]								],
	"huge"				/**/								:[function(){insertoperator(
		["{\\huge ","}"]								);},
		["{\\huge ","}"]								],
	"tiny"				/**/								:[function(){insertoperator(
		["{\\tiny ","}"]								);},
		["{\\tiny ","}"]								],
	"Tiny"				/**/								:[function(){insertoperator(
		["{\\Tiny ","}"]								);},
		["{\\Tiny ","}"]								],
	"scr"				/**/								:[function(){insertoperator(
		["{\\scr ","}"]									);},
		["{\\scr ","}"]									],
	"ddot"												:[function(){insertoperator(
		["\\ddot{","}"]									);},
		["\\ddot{","}"]									],
	"fbox"												:[function(){insertoperator(
		["\\fbox{","}"]									);},
		["\\fbox{","}"]									],
	"mbox"				/**/								:[function(){insertoperator(
		["\\mbox{","}"]									);},
		["\\mbox{","}"]									],
	"pmod"												:[function(){insertoperator(
		["\\pmod{","}"]									);},
		["\\pmod{","}"]									],
	"sqrt"												:[function(){insertoperator(
		["\\sqrt{","}"]									);},
		["\\sqrt{","}"]									],
	"text"				/**/								:[function(){insertoperator(
		["\\text{","}"]									);},
		["\\text{","}"]									],
	"verb"				/**/								:[function(){insertoperator(
		["\\verb|","}"]									);},
		["\\verb|","}"]									],
	"limsubscript"										:[function(){insertoperator(
		["\\lim_{","}"]									);},
		["\\lim_{","}"]									],
	"logbase"											:[function(){insertoperator(
		["\\log_{","}"]									);},
		["\\log_{","}"]									],
	"Bbb"												:[function(){insertoperator(
		["\\Bbb{","}"]									);},
		["\\Bbb{","}"]									],
	"bar"												:[function(){insertoperator(
		["\\bar{","}"]									);},
		["\\bar{","}"]									],
	"dot"												:[function(){insertoperator(
		["\\dot{","}"]									);},
		["\\dot{","}"]									],
	"hat"												:[function(){insertoperator(
		["\\hat{","}"]									);},
		["\\hat{","}"]									],
	"pod"												:[function(){insertoperator(
		["\\pod{","}"]									);},
		["\\pod{","}"]									],
	"ref"												:[function(){insertoperator(
		["\\ref{","}"]									);},
		["\\ref{","}"]									],
	"vec"												:[function(){insertoperator(
		["\\vec{","}"]									);},
		["\\vec{","}"]									],
	"pmb"			/**/									:[function(){insertoperator(
		["\\pmb{","}"]									);},
		["\\pmb{","}"]									],
	"bf"												:[function(){insertoperator(
		["{\\bf ","}"]									);},
		["{\\bf ","}"]									],
	"it"			/**/									:[function(){insertoperator(
		["{\\it ","}"]									);},
		["{\\it ","}"]									],
	"rm"			/**/									:[function(){insertoperator(
		["{\\rm ","}"]									);},
		["{\\rm ","}"]									],
	"sf"			/**/									:[function(){insertoperator(
		["{\\sf ","}"]									);},
		["{\\sf ","}"]									],
	"tt"			/**/									:[function(){insertoperator(
		["{\\tt ","}"]									);},
		["{\\tt ","}"]									],
	"superscript"										:[function(){insertoperator(
		["^{","}"]										);},
		["^{","}"]										],
	"subscript"											:[function(){insertoperator(
		["_{","}"]										);},
		["_{","}"]										],
};
var TeXcommand3={
	"summation"								:[function(){insertoperator(
		["\\sum_{","}^{","}"]				);},
		["\\sum_{","}^{","}"]				],
	"product"								:[function(){insertoperator(
		["\\prod_{","}^{","}"]				);},
		["\\prod_{","}^{","}"]				],
	"definiteintegral"						:[function(){insertoperator(
		["\\int_{","}^{","}"]				);},
		["\\int_{","}^{","}"]				],
	"underset"								:[function(){insertoperator(
		["\\underset{","}{","}"]			);},
		["\\underset{","}{","}"]			],
	"overset"								:[function(){insertoperator(
		["\\overset{","}{","}"]				);},
		["\\overset{","}{","}"]				],
	"dbinom"								:[function(){insertoperator(
		["\\dbinom{","}{","}"]				);},
		["\\dbinom{","}{","}"]				],
	"tbinom"								:[function(){insertoperator(
		["\\tbinom{","}{","}"]				);},
		["\\tbinom{","}{","}"]				],
	"binom"									:[function(){insertoperator(
		["\\binom{","}{","}"]				);},
		["\\binom{","}{","}"]				],
	"cfrac"									:[function(){insertoperator(
		["\\cfrac{","}{","}"]				);},
		["\\cfrac{","}{","}"]				],
	"dfrac"									:[function(){insertoperator(
		["\\dfrac{","}{","}"]				);},
		["\\dfrac{","}{","}"]				],
	"tfrac"									:[function(){insertoperator(
		["\\tfrac{","}{","}"]				);},
		["\\tfrac{","}{","}"]				],
	"color"					/**/				:[function(){insertoperator(
		["\\color{","}{","}"]				);},
		["\\color{","}{","}"]				],
	"root"									:[function(){insertoperator(
		["\\root{","}\\of{","}"]			);},
		["\\root{","}\\of{","}"]			],
	"frac"									:[function(){insertoperator(
		["\\frac{","}{","}"]				);},
		["\\frac{","}{","}"]				],
	"href"					/**/				:[function(){insertoperator(
		["\\href{","}{","}"]				);},
		["\\href{","}{","}"]				],
	"rlap"									:[function(){insertoperator(
		["\\rlap{","}{","}"]				);},
		["\\rlap{","}{","}"]				],


		
		
		
	"choose"								:[function(){insertoperator(
		["{","\\choose","}"]				);},
		["{","\\choose","}"]				],
	"nthsqrt"									:[function(){insertoperator(
		["\\sqrt[","]{","}"]				);},
		["\\sqrt[","]{","}"]				],
	"negthinspace"			/**/				:[function(){insertoperator(
		["{","}\\negthinspace{","}"]		);},
		["{","}\\negthinspace{","}"]		],
	"negmedspace"			/**/				:[function(){insertoperator(
		["{","}\\negmedspace{","}"]			);},
		["{","}\\negmedspace{","}"]			],
	"llap"									:[function(){insertoperator(
		["{","}\\llap{","}"]				);},
		["{","}\\llap{","}"]				],
	"brace"									:[function(){insertoperator(
		["{","\\brace","}"]					);},
		["{","\\brace","}"]					],
	"brack"									:[function(){insertoperator(
		["{","\\brack","}"]					);},
		["{","\\brack","}"]					],
	"over"									:[function(){insertoperator(
		["{","\\over","}"]					);},
		["{","\\over","}"]					],
	"permutation"							:[function(){insertoperator(
		["_{","}\\operatorname{P}_{","}"]					);},
		["_{","}\\operatorname{P}_{","}"]					],
	"combination"							:[function(){insertoperator(
		["_{","}\\operatorname{C}_{","}"]					);},
		["_{","}\\operatorname{C}_{","}"]					],
};

var acrossTeXcommand=[
"\\underleftrightarrow{",
"{\\scriptscriptstyle ",
"\\leftrightsquigarrow",
"\\overleftrightarrow{",
"\\blacktriangleright","\\Longleftrightarrow","\\longleftrightarrow",
"\\begin{smallmatrix}",
"\\blacktriangledown","\\blacktriangleleft","\\leftrightharpoons","\\rightleftharpoons","\\twoheadrightarrow",
"\\circlearrowright","\\downharpoonright","\\ntrianglerighteq","\\rightharpoondown","\\rightrightarrows","\\twoheadleftarrow","\\vartriangleright",
"\\operatorname{Pr}\\left(",
"\\operatorname{P}\\left(",
"\\end{matrix}\\right.",
"\\end{smallmatrix}",
"\\underrightarrow{",
"\\bigtriangledown","\\circlearrowleft","\\curvearrowright","\\downharpoonleft","\\leftharpoondown","\\leftrightarrows","\\nLeftrightarrow","\\nleftrightarrow","\\ntrianglelefteq","\\rightleftarrows","\\rightsquigarrow","\\rightthreetimes","\\trianglerighteq","\\vartriangleleft",
"\\overrightarrow{","\\underleftarrow{",
"}\\negthickspace{",
"\\curvearrowleft","\\dashrightarrow","\\doublebarwedge","\\downdownarrows","\\hookrightarrow",
"\\mathrm{\\LaTeX}",
"\\leftleftarrows","\\Leftrightarrow","\\leftrightarrow","\\leftthreetimes","\\Longrightarrow","\\longrightarrow","\\looparrowright","\\nshortparallel","\\ntriangleright","\\rightarrowtail","\\rightharpoonup","\\sphericalangle","\\trianglelefteq","\\upharpoonright",
"\\begin{pmatrix}","\\begin{bmatrix}","\\begin{Bmatrix}","\\begin{vmatrix}","\\begin{vmatrix}",
"\\overleftarrow{",
"}\\negthinspace{",
"\\bigtriangleup","\\blacktriangle","\\divideontimes","\\fallingdotseq","\\hookleftarrow","\\leftarrowtail","\\leftharpoonup","\\Longleftarrow","\\longleftarrow","\\looparrowleft","\\measuredangle","\\ntriangleleft","\\shortparallel","\\smallsetminus","\\triangleright","\\upharpoonleft","\\varsubsetneqq","\\varsupsetneqq",
"\\begin{matrix}",
"\\nobreakspace{","\\operatorname{",
"{\\scriptstyle ",
"}\\negmedspace{",
"\\blacklozenge","\\risingdotseq",
"\\mathrm{\\TeX}",
"\\triangledown","\\triangleleft","\\varsubsetneq","\\varsupsetneq",
"\\end{pmatrix}","\\end{bmatrix}","\\end{Bmatrix}","\\end{vmatrix}","\\end{Vmatrix}",
"\\xrightarrow{",
"{\\scriptsize ","{\\normalsize ",
"\\backepsilon","\\blacksquare","\\circledcirc","\\circleddash","\\curlyeqprec","\\curlyeqsucc","\\diamondsuit","\\eqslantless","\\nRightarrow","\\nrightarrow","\\preccurlyeq","\\precnapprox","\\restriction","\\Rrightarrow","\\succcurlyeq","\\succnapprox","\\thickapprox","\\Updownarrow","\\updownarrow","\\vartriangle",
"\\end{matrix}",
"\\leqalignno{","\\underbrace{","\\xleftarrow{",
"\\circledast","\\complement","\\curlywedge","\\eqslantgtr","\\gtreqqless","\\lessapprox","\\lesseqqgtr","\\Lleftarrow","\\lmoustache","\\longmapsto","\\nLeftarrow","\\nleftarrow","\\nsubseteqq","\\nsupseteqq","\\precapprox","\\Rightarrow","\\rightarrow","\\rmoustache","\\smallfrown","\\smallsmile","\\sqsubseteq","\\sqsupseteq","\\subsetneqq","\\succapprox","\\supsetneqq","\\upuparrows","\\varepsilon","\\varnothing","\\varprojlim","\\varUpsilon",
"\\mathstrut ","\\mathstrut",
"\\mathinner{","\\mathpunct{","\\overbrace{","\\underline{","\\widetilde{","\\textstyle{",
"{\\oldstyle ",
"\\Arrowvert","\\arrowvert","\\backprime","\\backsimeq","\\backslash","\\bigotimes","\\bracevert","\\centerdot","\\checkmark","\\doublecap","\\doublecup","\\Downarrow","\\downarrow","\\gtrapprox","\\gtreqless","\\gvertneqq","\\heartsuit","\\impliedby","\\Leftarrow","\\leftarrow","\\lesseqgtr","\\lvertneqq","\\ngeqslant","\\nleqslant","\\nparallel","\\nshortmid","\\nsubseteq","\\nsupseteq","\\pitchfork","\\spadesuit","\\subseteqq","\\subsetneq","\\supseteqq","\\supsetneq","\\therefore","\\triangleq","\\thinspace","\\varinjlim","\\varLambda","\\varliminf","\\varlimsup","\\varpropto",
"\\mathfrak{","\\mathring{","\\overline{","\\stackrel{","\\hphantom{","\\mathfrak{","\\vphantom{","\\substack{","\\underset{",
"\\approxeq","\\barwedge","\\bigoplus","\\bigsqcup","\\biguplus","\\bigwedge","\\boxminus","\\boxtimes","\\circledR","\\circledS","\\clubsuit","\\curlyvee","\\diagdown","\\doteqdot","\\emptyset","\\geqslant","\\gnapprox","\\idotsint","\\intercal","\\leqslant","\\llcorner","\\lnapprox","\\lrcorner","\\multimap","\\parallel","\\precneqq","\\precnsim","\\setminus","\\shortmid","\\smallint","\\sqsubset","\\sqsupset","\\subseteq","\\succneqq","\\succnsim","\\supseteq","\\thicksim","\\triangle","\\ulcorner","\\urcorner","\\varDelta","\\varGamma","\\varkappa","\\varOmega","\\varsigma","\\varSigma","\\vartheta","\\varTheta",
"\\mathbin{","\\mathrel{","\\vcenter{","\\widehat{","\\mathcal{","\\mathscr{","\\phantom{",
"\\right\\}","\\right\\|",
"\\bcancel{","\\xcancel{","\\overset{",
"\\backsim","\\because","\\between","\\bigcirc","\\bigodot","\\bigstar","\\boxplus","\\ddagger","\\diamond","\\Diamond","\\digamma","\\dotplus","\\enspace","\\epsilon","\\gtrless","\\implies","\\leadsto","\\lessdot","\\lessgtr","\\lesssim","\\lozenge","\\maltese","\\natural","\\nearrow","\\nexists","\\npreceq","\\nsucceq","\\nwarrow","\\omicron","\\partial","\\precsim","\\projlim","\\searrow","\\succsim","\\swarrow","\\Uparrow","\\uparrow","\\Upsilon","\\upsilon",
"\\cancel{","\\ddddot{","\\hspace{","\\mathop{","\\mathbb{","\\mathbf{","\\mathit{","\\mathrm{","\\mathsf{","\\mathtt{","\\textbf{","\\textit{","\\textrm{",
"\\left\\{","\\left\\|",
"{\\LARGE ","{\\Large ","{\\large ","{\\small ",
"\\choose","\\dbinom{","\\tbinom{",
"\\approx","\\arccos","\\arcsin","\\arctan","\\bigcap","\\bigcup","\\bigvee","\\bowtie","\\boxdot","\\bullet","\\Bumpeq","\\bumpeq","\\circeq","\\coprod","\\dagger","\\daleth","\\diagup","\\eqcirc","\\exists","\\forall","\\gtrdot","\\gtrsim","\\hslash","\\iiiint","\\injlim","\\Lambda","\\lambda","\\langle","\\lbrace","\\lbrack","\\lfloor","\\lgroup","\\liminf","\\limsup","\\llless","\\ltimes","\\mapsto","\\models","\\nvdash","\\nVDash","\\nVdash","\\nvDash","\\ominus","\\oslash","\\otimes","\\preceq","\\propto","\\rangle","\\rbrace","\\rbrack","\\rfloor","\\rgroup","\\rtimes","\\square","\\subset","\\Subset","\\succeq","\\supset","\\Supset","\\varphi","\\varPhi","\\varPsi","\\varrho","\\veebar","\\Vvdash",
"\\right)","\\right]","\\right|","\\right.","\\dddot{","\\acute{","\\boxed{","\\breve{","\\check{","\\grave{","\\tilde{",
"{\\frak　","{\\Huge ","{\\huge ","{\\tiny ","{\\Tiny ",
"}\\llap{",
"\\prod_{",
"\\binom{","\\cfrac{","\\dfrac{","\\tfrac{","\\color{",
"\\aleph","\\alpha","\\amalg","\\angle","\\asymp","\\cdotp","\\cdots","\\colon","\\dashv","\\ddots","\\Delta","\\delta","\\doteq","\\Doteq","\\dotsb","\\dotsc","\\dotsi","\\dotsm","\\dotso","\\eqsim","\\equiv","\\frown","\\Gamma","\\gamma","\\gggtr","\\gimel","\\gneqq","\\gnsim","\\iiint","\\imath","\\infty","\\intop","\\jmath","\\kappa","\\lceil","\\ldotp","\\ldots","\\lneqq","\\lnsim","\\lVert","\\lvert","\\nabla","\\ncong","\\ngeqq","\\nleqq","\\nless","\\notin","\\nprec","\\nsucc","\\Omega","\\omega","\\oplus","\\prime","\\qquad","\\rceil","\\rVert","\\rvert","\\sharp","\\Sigma","\\sigma","\\simeq","\\smile","\\sqcap","\\sqcup","\\Theta","\\theta","\\times","\\unlhd","\\unrhd","\\uplus","\\varpi","\\varPi","\\varXi","\\vdash","\\Vdash","\\vDash","\\vdots","\\wedge",
"\\left(","\\left[","\\left|","\\left.",
"{\\scr ",
"\\sum_{","\\log_{",
"\\ddot{","\\frac{","\\href{","\\rlap{","\\sqrt[","\\fbox{","\\mbox{","\\pmod{","\\sqrt{","\\text{","\\verb|",
"\\brace","\\brack","\\root{",
"\\Bbbk","\\beta","\\beth","\\bmod","\\cdot","\\circ","\\cong","\\cosh","\\coth","\\dots","\\Finv","\\flat","\\Game","\\geqq","\\gets","\\gneq","\\hbar","\\iint","\\iota","\\Join","\\land","\\leqq","\\lneq","\\lnot","\\ngeq","\\ngtr","\\nleq","\\nmid","\\nsim","\\odot","\\oint","\\over","\\owns","\\perp","\\prec","\\prod","\\sinh","\\quad","\\star","\\succ","\\surd","\\tanh","\\Vert","\\vert","\\zeta",
"\\Bbb{ ","\\bar{","\\dot{","\\hat{","\\pod{","\\ref{","\\vec{","\\pmb{",
"{\\rm ","{\\sf ","{\\tt ","{\\bf ",
"\\And","\\arg","\\ast","\\bot","\\Box","\\cap","\\Cap","\\chi","\\cos","\\cot","\\csc","\\cup","\\Cup","\\deg","\\det","\\dim","\\div","\\ell","\\eta","\\eth","\\exp","\\gcd","\\geq","\\ggg","\\hom","\\iff","\\inf","\\int","\\ker","\\leq","\\lhd","\\lim","\\lll","\\log","\\lor","\\Lsh","\\max","\\mho","\\mid","\\min","\\mod\\ ","\\neg","\\neq","\\not","\\Phi","\\phi","\\Psi","\\psi","\\rhd","\\rho","\\Rsh","\\sec","\\sim","\\sin","\\sum","\\sup","\\tan","\\tau","\\top","\\vee","\\yen",
"}\\operatorname{P}_{","}\\operatorname{C}_{","}^{","]{",
"\\ge","\\gg","\\gt","\\Im","\\in","\\le","\\lg","\\ll","\\ln","\\lt","\\mp","\\mu","\\ne","\\ni","\\nu","\\Pi","\\pi","\\pm","\\Pr","\\Re","\\to","\\wp","\\wr","\\Xi","\\xi","&=&",
"}\\of{",
"\\S","}{","^{","_{","^*","\\%","\\|","}",
];

var composedObjectMiddle=[
"}{","]{",
];

var composedObject=[
"\\underleftrightarrow{",
"{\\scriptscriptstyle ",
"\\overleftrightarrow{",
"\\begin{smallmatrix}",
"\\operatorname{Pr}\\left(",
"\\operatorname{P}\\left(",
"\\end{matrix}\\right.",
"\\end{smallmatrix}",
"\\underrightarrow{",
"\\overrightarrow{","\\underleftarrow{",
"}\\negthickspace{",
"\\begin{pmatrix}","\\begin{bmatrix}","\\begin{Bmatrix}","\\begin{vmatrix}","\\begin{vmatrix}",
"\\overleftarrow{",
"}\\negthinspace{",
"\\begin{matrix}",
"\\nobreakspace{","\\operatorname{",
"{\\scriptstyle ",
"}\\negmedspace{",
"\\end{pmatrix}","\\end{bmatrix}","\\end{Bmatrix}","\\end{vmatrix}","\\end{Vmatrix}",
"\\xrightarrow{",
"{\\scriptsize ","{\\normalsize ",
"\\end{matrix}",
"\\leqalignno{","\\underbrace{","\\xleftarrow{",
"\\mathinner{","\\mathpunct{","\\overbrace{","\\underline{","\\widetilde{","\\textstyle{",
"{\\oldstyle ",
"\\mathstrut ",//"\\mathstrut",
"\\mathfrak{","\\mathring{","\\overline{","\\stackrel{","\\hphantom{","\\mathfrak{","\\vphantom{","\\substack{","\\underset{",
"\\bcancel{","\\xcancel{","\\mathbin{","\\mathrel{","\\vcenter{","\\widehat{","\\mathcal{","\\mathscr{","\\phantom{",
//"\\right\\}","\\right\\|",
"\\overset{",
"\\cancel{","\\ddddot{","\\hspace{","\\mathop{","\\mathbb{","\\mathbf{","\\mathit{","\\mathrm{","\\mathsf{","\\mathtt{","\\textbf{","\\textit{","\\textrm{",
//"\\left\\{","\\left\\|",
"{\\LARGE ","{\\Large ","{\\large ","{\\small ",
"\\choose","\\dbinom{","\\tbinom{",
/*"\\right)","\\right]","\\right|","\\right."*/,"\\dddot{","\\acute{","\\boxed{","\\breve{","\\check{","\\grave{","\\tilde{",
"{\\frak　","{\\Huge ","{\\huge ","{\\tiny ","{\\Tiny ",
"}\\llap{",
"\\prod_{",
"\\binom{","\\cfrac{","\\dfrac{","\\tfrac{","\\color{",
//"\\left(","\\left[","\\left|","\\left.",
"{\\scr ","\\root{",
"\\sum_{","\\log_{",
"\\ddot{","\\frac{","\\href{","\\rlap{","\\sqrt[","\\fbox{","\\mbox{","\\pmod{","\\sqrt{","\\text{","\\verb|",
"\\Bbb{","\\bar{","\\dot{","\\hat{","\\pod{","\\ref{","\\vec{","\\pmb{",
"{\\bf ","{\\rm ","{\\sf ","{\\tt ","}\\of{",
"}\\operatorname{P}_{","}\\operatorname{C}_{","}^{",
"^{","_{","^*","\\|",
"}",
];

var delimiterCommands=[
"\\Updownarrow",
"\\updownarrow",
"\\lmoustache",
"\\rmoustache",
"\\Arrowvert",
"\\arrowvert",
"\\backslash",
"\\bracevert",
"\\Downarrow",
"\\downarrow",
"\\Uparrow",
"\\uparrow",
"\\langle",
"\\rangle",
"\\lfloor",
"\\rfloor",
"\\lceil",
"\\rceil",
"\\Vert",
"\\vert",
"\\{",
"\\}",
"\\|",
"(",
")",
"[",
"]",
"/",
"|",
"<",
">",
];
