<!DOCTYPE html><html lang="ja">
<head>
	<title>数式UI掲示板</title>
	<meta charset="UTF-8" />
	<script src="js/ls.js"></script>
	<script src="js/wa.js"></script>
	<script src="js/kensaku.js"></script>
	<script src="js/gui.js"></script>
	<script src="js/equationUI_TC.js"></script>
	<script src="js/TeXcommand.js"></script>
	<script src="js/buttonInput.js"></script>
	<link rel="stylesheet" href="css/styleTC.css" /> 
<!-- jQuery -->
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<!-- jQuery keypad -->
	<link rel="stylesheet" href="js/jQueryKeypad/jquery.keypad.css" /> 
	<script src="js/jQueryKeypad/jquery.plugin.js"></script> 
	<script src="js/jQueryKeypad/jquery.keypad.js"></script>
<!-- jQuery UI -->
	<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/themes/smoothness/jquery-ui.css" />
	<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
<!-- MathJax -->
	<script src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-MML-AM_HTMLorMML&amp;locale=ja"></script>
	<script type="text/x-mathjax-config">	//MathJaxの設定
		MathJax.Hub.Config({
			showMathMenu:true,		//MathMenu表示
			MathMenu:{
				delay:0,			//コンテキストメニュー内の欄の表示までの時間
				helpURL:"http://www.mathjax.org/help/user/",
				showRenderer:true,	//数式のレンダリングモード設定欄を表示する。「HTML-CSS、MathML、SVG」から選択
				showFontMenu:true,	//フォント設定欄を表示する
				showLocale:true,	//言語設定欄を表示する
				showMathPlayer:true,
				showContext:false,	//コンテキストメニュー表示。
			},
			showProcessingMessages:false,	//「数式を組版中：100％」などを表示しない
			tex2jax:{
				inlineMath:[['$','$'],['\\(','\\)']],
				preview:["数式"]	//レンダリングの最中に表示する文字列
			},
			"HTML-CSS":{scale:200},
			TeX:{
				extensions: ["color.js"]
			},
		});
	</script>
</head>
<body onload="init()">
<article>
	<h3>数式質問回答掲示板<span onClick="administratorMode()">$\varLambda_\mu^{\ \ \nu}$</span>タブレット版<br /><a href="math.php">PC版</a>　<a href="mathSP.php">スマホ版</a></h3>
	<section>
		<h4>使用方法</h4>
		<ol>
			<li>数式を使って質問・回答する。</li>
			<li>文章を入力した後は、「数式入力開始」をクリックして数式を入力する。</li>
			<li>使いやすさに関する<a href="http://linesegment.web.fc2.com/mathontheweb/questionnaire.html" target=new>アンケート</a>にお答え下さい。</li>
		</ol>
		詳しいマニュアルは<a href="manual/manual.html" target=new>こちら</a>。
	</section>

	<h4>スレッド名</h4>
	<form method="POST" action="<?php echo $_SERVER['PHP_SELF'];?>" id="comment" onsubmit="return deletecursor()"></form>
		<input type="text" form="comment" name="file" id="Filename" value="<?php if (isset($_POST['file'])) { echo($_POST['file']); } ?>" /><!-- ファイル名をスレッド名欄に記載 -->
		<button type="submit" form="comment">スレッド移動or作成</button>
		<table id="datatable"></table>

		<!-- ファイル名があるときに、入力した文章を.txtファイルに追加。 -->
<?php	if (isset($_POST['file'])&&$_POST['file']!=""&&!isset($_POST['GUI'])&&isset($_POST['MathInput'])&&$_POST['MathInput']!="") {
			$fp=fopen($_POST['file'].'.txt','a+');
			date_default_timezone_set('Asia/Tokyo');
			fwrite($fp,'<hr />'.$_POST['MathInput'].'<br />'.date('Y/m/d H:i'));
		}
		if (isset($_POST['file'])&&$_POST['file']!="") {?>
		<!-- 発言履歴の表示 -->
		<h3>発言履歴</h3>
		<div id="commenthistory">		<!-- 発言履歴。検索後に非表示 -->
			<?php echo(file_get_contents($_POST['file'].".txt"));?>
		</div>
		<textarea id="kensakuarea">		<!-- 発言履歴、検索領域 -->
			<?php echo(file_get_contents($_POST['file'].'.txt')); ?>
		</textarea><br /><br /><br />
<section>
	<h3>プレビュー</h3>
	数式入力時のカーソル「｜」は送信時に自動で消去されます。
		<div id="MathPreview"></div>
</section><br />
<section>
	キーボードから入力：<a class="tip" title="<span style='font-size:14px'>Enterキーで<br />挿入します。<br />Spaceキーで<br />挿入+「→」します。</span>"><input type="text" id="freeInput" style="width:130px" onkeydown="EnterSpace(event)" onkeyup="deleteSpace(event)" class="TipEx" /></a>
	<button class="keypad-key" onClick="freeInput()" style="width:60px;height:25px">挿入</button>
	<button class="keypad-key" onClick="newline()" style="width:60px">改行</button>
	<button class="keypad-key" onClick="undo()" style="width:80px">元に戻す</button>
	<button class="keypad-key" onClick="backspace()" style="width:100px">1文字消去</button>
	<button class="keypad-key" onClick="neweqnarray()" style="width:100px">新規数式</button>
	<button class="keypad-key" onClick="movelefts()">$\leftarrow$</button>
	<button class="keypad-key" onClick="moverights()">$\rightarrow$</button>
	　　　　　　　　　　<input type="submit" form="comment" value="送信" />
<br />

<!-------------------------------- UI部分 -------------------------------->

<script>
	$(function() {
		$("#specials").tabs({
			activate:function(event,ui){scrollBottom()}
		});
	});
</script>
<div id="specials">		<!-------------------------------- タブ -------------------------------->
	<ul>
		<li><a onClick="scrollBottom()" href="#code">全体</a></li>
		<li><a onClick="scrollBottom()" href="#symbol">数式</a></li>
		<li><a onClick="scrollBottom()" href="#s01">数式コマンド</a></li>
		<li><a onClick="scrollBottom()" href="#image">画像</a></li>
		<li><a onClick="scrollBottom()" href="#URL">URL</a></li>
		<li><a onClick="scrollBottom()" href="#figure">図形</a></li>
		<li><a onClick="scrollBottom()" href="#sousa">操作</a></li>
	</ul>
	<div id="code">	<!-------------------------------- 全体 -------------------------------->
		<textarea id="MathInput" name="MathInput" form="comment" cols="60" rows="3" onkeyup="hiddene()" onChange="hiddene()"><?php
			if (isset($_POST['MathInputh'])) { echo($_POST['MathInputh']); }	//「GUI編集開始」ボタンクリック後に編集途中の発言をそのまま表示。
		?></textarea>
		<form method="POST" id="edit" action="<?php echo $_SERVER['PHP_SELF'];?>">
			<input type="hidden" id="MathInputh" name="MathInputh" value="<?php if (isset($_POST['MathInputh'])) { echo($_POST['MathInputh']); } ?>" /><!-- 編集中の発言内容 -->
			<input type="hidden" name="file" value="<?php if (isset($_POST['file'])&&$_POST['file']!="") {echo($_POST['file']); } ?>" />
			<input type="hidden" name="GUI" value="GUI" />
			<br />貼り付けした後は<strong>スペースを入れる</strong>か<strong>改行</strong>して下さい。<br />
			文章の入力後、<button type="submit">数式入力開始</button>を押して数式を入力して下さい。
		</form>
	</div>
	<div id="symbol">	<!-------------------------------- 数式 -------------------------------->
		<div id="kpad"><span style="float:left">ジャンルを選択</span>
		<select id="equationGenre" onChange="commandType(this)" onClick="commandType(this)" size="10"><!--multiple-->
			<option value="arith">+－×÷　√　（　）　∑</option>
			<option value="differentiationintegration">∠　⊥　′　∫dx　∂</option>
			<option value="function">log　sin　max</option>
			<option value="matrices">行列</option>
			<option value="font">文字・フォント・強調</option>
			<option value="num">アルファベット</option>
			<option value="greek">ギリシャ文字</option>
			<option value="relationaloperators">≦　≪　≈　≒</option>
			<option value="relationaloperatorsNot">≠　≯　≮　∉　</option>
			<option value="arrows">⇒　&#x21D0;　&#x21D1;　&#x21D3;</option>
			<option value="othersymbols1">◯△口</option>
			<option value="othersymbols10">その他記号</option>
			<option value="othercommands">同じ記号の別のコマンド</option>
		</select></div>
		<span id="keypad"></span>
		<br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
	</div>
	<div id="s01">	<!-------------------------------- 数式コード -------------------------------->
		数式$\left(\mathrm{\TeX}\right)$コード：<input type="text" id="quotereplyequation" size="10" /><br />
		検索範囲　：
		<input type="radio" name="searchscope" value="in" checked="checked">数式
		<input type="radio" name="searchscope" value="out">全体
		　　　　　検索方法　：
		<input type="radio" name="searchmethod" value="perfectmatch" checked="checked">完全一致
		<input type="radio" name="searchmethod" value="composed">構造
		<button onClick="kensaku()">ページ内数式検索</button><br />

		<button onClick="quotereply()">引用返信</button>
		<button onClick="wa()">Wolfram&nbsp;Alpha検索</button>
		<button onClick="graph()">グラフ</button>
	</div>
	<div id="image">	<!-------------------------------- 画像 -------------------------------->
		<form action="upload.php" method="post" enctype="multipart/form-data">
			<input type="file" name="upfile[]" multiple>
			<input type="submit" value="アップロード" />
			<input type="hidden" name="file" value="<?php if (isset($_POST['file'])) { echo($_POST['file']); } ?>" /><!-- 開いているスレッド名 -->
			<input type="hidden" id="uploadMathInputh" name="MathInputh" value="<?php if (isset($_POST['MathInputh'])) { echo($_POST['MathInputh']); } ?>" /><!-- 編集中の発言内容 -->
		</form>
		<strong><a href="http://www.bunka.go.jp/chosakuken/" target=new>文化庁 | 著作権</a></strong>
		　<strong><a href="https://www.facebook.com/help/308895412492789" target=new>画像の著作権（参考）</a></strong>
	</div>
	<div id="URL">	<!-------------------------------- URL -------------------------------->
		<table>
			<tr>
				<td>ページリンク</td>
				<td><input type="text" id="pageURL" size="10" /></td>
				<td><button onClick="pagelink()">URL</button></td>
			</tr>
			<tr>
				<td>動画埋め込み</td>
				<td><input type="text" id="videoURL" size="10" /></td>
				<td><button onClick="video()">動画URL</button>
					<button onClick="videoYouTube()">YouTube URL</button>
					<strong><a href="http://gvalaw.jp/it-copyright/archives/676.html" target=new>著作権について</a></strong></td>
			</tr>
		</table>
	</div>
	<div id="figure">	<!-------------------------------- 座標 -------------------------------->
		<a href="canvas.html" target=new>フリーハンドで描画</a>
		　　　座標<input type="text" id="coordinates" size="10" />
		<button onClick="svgpolyline()">SVG</button>
		<strong><a href="http://www.atmarkit.co.jp/ait/articles/1206/01/news143.html" target=new>SVGの基礎</a></strong>
	</div>
	<div id="sousa">	<!-------------------------------- 操作 -------------------------------->
		<button class="keypad-key" style="width:150px" onClick="newequationinsentence()">文章中数式</button>
		<button class="keypad-key" style="width:150px" onClick="moveup()">上の数式へ移動</button>
		<button class="keypad-key" style="width:150px" onClick="movedown()">下の数式へ移動</button>
		<button class="keypad-key" style="width:150px" onClick="deleteequation()">数式消去</button>
		<button class="keypad-key" style="width:150px" onClick="deletecursor()">カーソル消去</button>
		<button class="keypad-key" style="width:100px" onClick="clearg()">全消去</button>
	</div>
</div>
	</section><br />
	<footer>
		<span id="valid"><img src="HTML5_Logo_32.png" alt="Valid HTML 5" /></span>		
		<nav>
			<a href="http://www.mathjax.org" target=new><img title="Powered by MathJax" src="http://cdn.mathjax.org/mathjax/badge/badge.gif" border="0" alt="Powered by MathJax" /></a>
			　　　<a href="http://keith-wood.name/keypad.html" target=new>jQuery Keypad</a>
			　　　<a href="http://linesegment.web.fc2.com/mathontheweb/questionnaire.html" target=new>使いやすさに関するアンケートにお答え下さい。</a>
			　　　<a href="manual/manual.html" target=new>マニュアル</a>
		</nav>
	</footer>
	<script>
		var TeXcommand=$.extend(TeXcommand1,$.extend(TeXcommand2,TeXcommand3)),		//TeXコマンドの配列を連結
			PHPversion=true;
			initialKeypad();			//ページ読み込み時の数式入力ボタンのジャンル
			scrollBottom();			//最下部へスクロール
	</script>
	<?php	} elseif (isset($_POST['file'])&&$_POST['file']=="") echo("<h1>ファイル名を入力して下さい。</h1>"); ?><br />
	</article>
</body></html>
